--New modifiers
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	
	('MAGIL_ORACLE_CURRENT_AND_FUTURE_GPP', 'MODIFIER_PLAYER_ADJUST_FREE_GREAT_PERSON_POINTS', 1, 1, NULL, NULL),
	('MAGIL_OXFORD_UNIVERSITY_SCIENCE_PER_DISTRICT', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_PER_DISTRICT', 0, 0, NULL, NULL),
	('MAGIL_HERMITAGE_CULTURE_PER_DISTRICT', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_PER_DISTRICT', 0, 0, NULL, NULL),
	('MAGIL_HAGIASOPHIA_FAITH_PER_DISTRICT', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_PER_DISTRICT', 0, 0, NULL, NULL),
	('MAGIL_RUHRVALLEY_PRODUCTION_PER_DISTRICT', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_PER_DISTRICT', 0, 0, NULL, NULL),
	('MAGIL_CRISTO_REDENTOR_SHRINE_TOURISM', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TOURISM_CHANGE', 0, 1, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_SHRINE'),		
	('MAGIL_CRISTO_REDENTOR_TEMPLE_TOURISM', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TOURISM_CHANGE', 0, 1, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_TEMPLE'),		
	('MAGIL_CRISTO_REDENTOR_WORSHIP_TOURISM', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TOURISM_CHANGE', 0, 1, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_WORSHIP');

INSERT INTO ModifierArguments
	(ModifierId, Name, Value, Extra, SecondExtra)
VALUES		
	('MAGIL_ORACLE_CURRENT_AND_FUTURE_GPP', 'Amount', '20', NULL, NULL),
	('MAGIL_OXFORD_UNIVERSITY_SCIENCE_PER_DISTRICT', 'YieldType', 'YIELD_SCIENCE', NULL, NULL),
	('MAGIL_OXFORD_UNIVERSITY_SCIENCE_PER_DISTRICT', 'Amount', '2', NULL, NULL),
	('MAGIL_HERMITAGE_CULTURE_PER_DISTRICT', 'YieldType', 'YIELD_CULTURE', NULL, NULL),
	('MAGIL_HERMITAGE_CULTURE_PER_DISTRICT', 'Amount', '2', NULL, NULL),	
	('MAGIL_HAGIASOPHIA_FAITH_PER_DISTRICT', 'YieldType', 'YIELD_FAITH', NULL, NULL),
	('MAGIL_HAGIASOPHIA_FAITH_PER_DISTRICT', 'Amount', '2', NULL, NULL),	
	('MAGIL_RUHRVALLEY_PRODUCTION_PER_DISTRICT', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_RUHRVALLEY_PRODUCTION_PER_DISTRICT', 'Amount', '2', NULL, NULL),
	('MAGIL_CRISTO_REDENTOR_SHRINE_TOURISM', 'Amount', '5', NULL, NULL),	
	('MAGIL_CRISTO_REDENTOR_TEMPLE_TOURISM', 'Amount', '5', NULL, NULL),	
	('MAGIL_CRISTO_REDENTOR_WORSHIP_TOURISM', 'Amount', '5', NULL, NULL);
	
--Remove full Religious Tourism from Cristo Redentor--this is a function of the Apostolic Palace in the combined mod
DELETE FROM BuildingModifiers WHERE BuildingType="BUILDING_CRISTO_REDENTOR" AND ModifierId="CRISTOREDENTOR_FULLRELIGIOUSTOURISM";

--Remove GPP from Districts from Oracle--this is a function of the National Epic in the combined mod. Replace with +20 GPP towards all current and future Great People
DELETE FROM BuildingModifiers WHERE BuildingType="BUILDING_ORACLE" AND ModifierId="ORACLE_GREATGENERALPOINTS";
DELETE FROM BuildingModifiers WHERE BuildingType="BUILDING_ORACLE" AND ModifierId="ORACLE_GREATADMIRALPOINTS";
DELETE FROM BuildingModifiers WHERE BuildingType="BUILDING_ORACLE" AND ModifierId="ORACLE_GREATENGINEERPOINTS";
DELETE FROM BuildingModifiers WHERE BuildingType="BUILDING_ORACLE" AND ModifierId="ORACLE_GREATMERCHANTPOINTS";
DELETE FROM BuildingModifiers WHERE BuildingType="BUILDING_ORACLE" AND ModifierId="ORACLE_GREATPROPHETPOINTS";
DELETE FROM BuildingModifiers WHERE BuildingType="BUILDING_ORACLE" AND ModifierId="ORACLE_GREATSCIENTISTPOINTS";
DELETE FROM BuildingModifiers WHERE BuildingType="BUILDING_ORACLE" AND ModifierId="ORACLE_GREATWRITERPOINTS";

INSERT INTO BuildingModifiers (BuildingType, ModifierId) VALUES	('BUILDING_ORACLE', 'MAGIL_ORACLE_CURRENT_AND_FUTURE_GPP');
INSERT INTO BuildingModifiers (BuildingType, ModifierId) VALUES	('BUILDING_CRISTO_REDENTOR', 'MAGIL_CRISTO_REDENTOR_SHRINE_TOURISM');
INSERT INTO BuildingModifiers (BuildingType, ModifierId) VALUES	('BUILDING_CRISTO_REDENTOR', 'MAGIL_CRISTO_REDENTOR_TEMPLE_TOURISM');
INSERT INTO BuildingModifiers (BuildingType, ModifierId) VALUES	('BUILDING_CRISTO_REDENTOR', 'MAGIL_CRISTO_REDENTOR_WORSHIP_TOURISM');

--Remove 20% yield from certain wonders, and add in +2 Yield per specialty district in all cities
UPDATE BuildingModifiers SET ModifierId='MAGIL_OXFORD_UNIVERSITY_SCIENCE_PER_DISTRICT' WHERE BuildingType='BUILDING_OXFORD_UNIVERSITY' AND ModifierId='OXFORD_ADDSCIENCEYIELD';
UPDATE BuildingModifiers SET ModifierId='MAGIL_HERMITAGE_CULTURE_PER_DISTRICT' WHERE BuildingType='BUILDING_HERMITAGE' AND ModifierId='BROADWAY_ADDCULTUREYIELD';
UPDATE BuildingModifiers SET ModifierId='MAGIL_HAGIASOPHIA_FAITH_PER_DISTRICT' WHERE BuildingType='BUILDING_HAGIA_SOPHIA' AND ModifierId='MAGIL_HAGIA_SOPHIA_FAITH_BONUS';
UPDATE BuildingModifiers SET ModifierId='MAGIL_RUHRVALLEY_PRODUCTION_PER_DISTRICT' WHERE BuildingType='BUILDING_RUHR_VALLEY' AND ModifierId='RUHRVALLEY_ADDPRODUCTIONYIELD';
