UPDATE Building_YieldChanges SET YieldChange='4' WHERE BuildingType='BUILDING_MZ_NATIONAL_WORKSHOP' AND YieldType='YIELD_PRODUCTION';
INSERT INTO Buildings_XP2 (BuildingType, RequiredPower) VALUES ('BUILDING_MZ_NATIONAL_WORKSHOP', '2');
INSERT INTO Building_YieldChangesBonusWithPower (BuildingType, YieldType, YieldChange) VALUES ('BUILDING_MZ_NATIONAL_WORKSHOP', 'YIELD_PRODUCTION', '4');
DELETE FROM Building_YieldDistrictCopies WHERE BuildingType='BUILDING_MZ_NATIONAL_FACTORY';

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES
--National Research Institute
	('MAGIL_NATIONAL_LAB_BOOST3', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECH_BOOST', 1, 1, NULL, NULL),
--Commerce Guild
	('MAGIL_NATIONAL_MARKET_AMENITIES_LUXURIES', 'MODIFIER_SINGLE_CITY_ADJUST_EXTRA_AMENITY_FOR_LUXURY_DIVERSITY', 0, 0, NULL, NULL),
--Encampment Wonders
	('MAGIL_HEROIC_EPIC_RESOURCE_STOCKPILE_CAP', 'MODIFIER_PLAYER_ADJUST_RESOURCE_STOCKPILE_CAP', 0, 0, NULL, NULL),
	('MAGIL_NATIONAL_ARMORY_RESOURCE_STOCKPILE_CAP', 'MODIFIER_PLAYER_ADJUST_RESOURCE_STOCKPILE_CAP', 0, 0, NULL, NULL),
	('MAGIL_NATIONAL_ACADEMY_RESOURCE_STOCKPILE_CAP', 'MODIFIER_PLAYER_ADJUST_RESOURCE_STOCKPILE_CAP', 0, 0, NULL, NULL),
	('MAGIL_NATIONAL_ARMORY_DISCOUNT_UNIT_RESOURCE_COST', 'MODIFIER_CITY_ADJUST_STRATEGIC_RESOURCE_REQUIREMENT_MODIFIER', 0, 0, NULL, NULL),
--Ironworks
	('MAGIL_IRONWORKS_ACCUMULATION_STRATEGIC', 'MODIFIER_SINGLE_CITY_ADJUST_EXTRA_ACCUMULATION_FOR_STRATEGIC_DIVERSITY', 0, 0, NULL, NULL),
--National Industrial Complex
	('MAGIL_NATIONAL_FACTORY_FREE_POWER', 'MODIFIER_PLAYER_CITIES_ADJUST_FREE_POWER', 0, 0, NULL, 'MAGIL_CITY_HAS_NATIONAL_FACTORY_REQUIREMENTS');
	
INSERT INTO ModifierArguments
	(ModifierId, Name, Value, Extra, SecondExtra)
VALUES	
--National Research Institute
	('MAGIL_NATIONAL_LAB_BOOST3', 'TechType', 'TECH_SMART_MATERIALS', NULL, NULL),
--Commerce Guild
	('MAGIL_NATIONAL_MARKET_AMENITIES_LUXURIES', 'Amount', '2', NULL, NULL),
--Encampment Wonders
	('MAGIL_HEROIC_EPIC_RESOURCE_STOCKPILE_CAP', 'Amount', '20', NULL, NULL),
	('MAGIL_NATIONAL_ARMORY_RESOURCE_STOCKPILE_CAP', 'Amount', '20', NULL, NULL),
	('MAGIL_NATIONAL_ACADEMY_RESOURCE_STOCKPILE_CAP', 'Amount', '20', NULL, NULL),
	('MAGIL_NATIONAL_ARMORY_DISCOUNT_UNIT_RESOURCE_COST', 'Amount', '80', NULL, NULL),
--Ironworks
	('MAGIL_IRONWORKS_ACCUMULATION_STRATEGIC', 'Amount', '2', NULL, NULL),
--National Industrial Complex
	('MAGIL_NATIONAL_FACTORY_FREE_POWER', 'Amount', '6', NULL, NULL);		

INSERT INTO BuildingModifiers
	(BuildingType, ModifierId)
VALUES
--National Research Institute	
	('BUILDING_MZ_NATIONAL_LAB', 'MAGIL_NATIONAL_LAB_BOOST3'),	
--Encampment Wonders
	('BUILDING_MZ_HEROIC_EPIC', 'MAGIL_HEROIC_EPIC_RESOURCE_STOCKPILE_CAP'),	
	('BUILDING_MZ_NATIONAL_ARMORY', 'MAGIL_NATIONAL_ARMORY_RESOURCE_STOCKPILE_CAP'),	
	('BUILDING_MZ_NATIONAL_ACADEMY', 'MAGIL_NATIONAL_ACADEMY_RESOURCE_STOCKPILE_CAP'),
--National Industrial Complex
	('BUILDING_MZ_NATIONAL_FACTORY', 'MAGIL_NATIONAL_FACTORY_FREE_POWER');

--Updating and Deleting Other Modifiers
UPDATE BuildingModifiers SET ModifierId='MAGIL_NATIONAL_MARKET_AMENITIES_LUXURIES' WHERE BuildingType='BUILDING_MZ_NATIONAL_MARKET' AND ModifierId='MAGIL_NATIONAL_MARKET_LUXURY_YIELD';
UPDATE BuildingModifiers SET ModifierId='MAGIL_IRONWORKS_ACCUMULATION_STRATEGIC' WHERE BuildingType='BUILDING_MZ_NATIONAL_WORKSHOP' AND ModifierId='MAGIL_NATIONAL_WORKSHOP_STRATEGIC_YIELD';
UPDATE BuildingModifiers SET ModifierId='MAGIL_NATIONAL_ARMORY_DISCOUNT_UNIT_RESOURCE_COST' WHERE BuildingType='BUILDING_MZ_NATIONAL_ARMORY' AND ModifierId='MAGIL_NATIONAL_ARMORY_MAINT_REDUCTION';

--RequirementSets
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES ('MAGIL_CITY_HAS_NATIONAL_FACTORY_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES ('MAGIL_CITY_HAS_NATIONAL_FACTORY_REQUIREMENTS', 'MAGIL_CITY_HAS_NATIONAL_FACTORY');

--Requirements
INSERT INTO Requirements (RequirementId, RequirementType) VALUES ('MAGIL_CITY_HAS_NATIONAL_FACTORY', 'REQUIREMENT_CITY_HAS_BUILDING');
INSERT INTO RequirementArguments (RequirementId, Name, Value) VALUES ('MAGIL_CITY_HAS_NATIONAL_FACTORY', 'BuildingType', 'BUILDING_MZ_NATIONAL_FACTORY');

--New Projects
INSERT INTO Types (Type, Kind) VALUES ('PROJECT_MZ_ORBITAL_LASER', 'KIND_PROJECT');
INSERT INTO Types (Type, Kind) VALUES ('PROJECT_MZ_TERRESTRIAL_LASER', 'KIND_PROJECT');

INSERT INTO Projects (ProjectType, Name, ShortName, Description, PopupText, PreReqDistrict, Cost, AdvisorType, SpaceRace) 
	VALUES ('PROJECT_MZ_ORBITAL_LASER', 'LOC_PROJECT_ORBITAL_LASER_NAME', 'LOC_PROJECT_ORBITAL_LASER_SHORT_NAME', 'LOC_PROJECT_ORBITAL_LASER_DESCRIPTION', 'LOC_PROJECT_ORBITAL_LASER_POPUP', 'DISTRICT_CAMPUS', '600', 'ADVISOR_TECHNOLOGY', 1);
INSERT INTO Projects (ProjectType, Name, ShortName, Description, PopupText, PreReqDistrict, Cost, AdvisorType, SpaceRace) 
	VALUES ('PROJECT_MZ_TERRESTRIAL_LASER', 'LOC_PROJECT_TERRESTRIAL_LASER_NAME', 'LOC_PROJECT_TERRESTRIAL_LASER_SHORT_NAME', 'LOC_PROJECT_TERRESTRIAL_LASER_DESCRIPTION', 'LOC_PROJECT_TERRESTRIAL_LASER_POPUP', 'DISTRICT_CAMPUS', '600', 'ADVISOR_TECHNOLOGY', 1);

INSERT INTO Projects_XP2 (ProjectType, RequiredBuilding) VALUES ('PROJECT_MZ_ORBITAL_LASER', 'BUILDING_MZ_NATIONAL_LAB');
INSERT INTO Projects_XP2 (ProjectType, RequiredBuilding) VALUES ('PROJECT_MZ_TERRESTRIAL_LASER', 'BUILDING_MZ_NATIONAL_LAB');

INSERT INTO ProjectPrereqs (ProjectType, PrereqProjectType, MinimumPlayerInstances) VALUES ('PROJECT_MZ_ORBITAL_LASER', 'PROJECT_LAUNCH_EXOPLANET_EXPEDITION', '1');
INSERT INTO ProjectPrereqs (ProjectType, PrereqProjectType, MinimumPlayerInstances) VALUES ('PROJECT_MZ_TERRESTRIAL_LASER', 'PROJECT_LAUNCH_EXOPLANET_EXPEDITION', '1');

INSERT INTO Project_ResourceCosts (ProjectType, ResourceType, StartProductionCost) VALUES ('PROJECT_MZ_ORBITAL_LASER', 'RESOURCE_ALUMINUM', '30');

INSERT INTO ProjectCompletionModifiers (ProjectType, ModifierId) VALUES ('PROJECT_MZ_ORBITAL_LASER', 'PROJECT_COMPLETION_ORBITAL_LASER_SCIENCE_VP');
INSERT INTO ProjectCompletionModifiers (ProjectType, ModifierId) VALUES ('PROJECT_MZ_TERRESTRIAL_LASER', 'PROJECT_COMPLETION_TERRESTRIAL_LASER_SCIENCE_VP');
INSERT INTO ProjectCompletionModifiers (ProjectType, ModifierId) VALUES ('PROJECT_MZ_TERRESTRIAL_LASER', 'PROJECT_COMPLETION_TERRESTRIAL_LASER_REQUIRED_POWER');
