--This file contains most data relating to National Wonders.

--Types, used to declare new additions to the game
INSERT INTO Types
	(Type,	Kind)
VALUES	
	('BUILDING_MZ_NATIONAL_LIBRARY', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'KIND_BUILDING'),
	('BUILDING_MZ_HEROIC_EPIC', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_EPIC', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'KIND_BUILDING'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_MARKET', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_BANK', 'KIND_BUILDING'),
	('BUILDING_MZ_WRITERS_GUILD', 'KIND_BUILDING'),
	('BUILDING_MZ_MUSICIANS_GUILD', 'KIND_BUILDING'),
	('BUILDING_MZ_ARTISTS_GUILD', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_LAB', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_ARENA', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_ZOO', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'KIND_BUILDING'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'KIND_BUILDING'),
	
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'KIND_ABILITY'),
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'KIND_ABILITY'),	
		
	('MAGIL_MODIFIER_PLAYER_CITY_ADJUST_MILITARY_UNITS_PRODUCTION', 'KIND_MODIFIER'),
	('MAGIL_MODIFIER_SINGLE_CITY_ADJUST_DISTRICT_TOURISM', 'KIND_MODIFIER');

--TypeTags controls which kinds of units can possibly have the ability. Note that even if you grant the ability to all units, it will only affect those defined here (useful). 	
INSERT INTO TypeTags
	(Type,	Tag)
VALUES	
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'CLASS_RECON'),
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'CLASS_MELEE'),
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'CLASS_RANGED'),
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'CLASS_SIEGE'),
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'CLASS_HEAVY_CAVALRY'),
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'CLASS_LIGHT_CAVALRY'),
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'CLASS_RANGED_CAVALRY'),
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'CLASS_ANTI_CAVALRY'),
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'CLASS_HEAVY_CHARIOT'),
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'CLASS_LIGHT_CHARIOT'),
		
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'CLASS_RECON'),
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'CLASS_MELEE'),
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'CLASS_RANGED'),
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'CLASS_SIEGE'),
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'CLASS_HEAVY_CAVALRY'),
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'CLASS_LIGHT_CAVALRY'),
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'CLASS_RANGED_CAVALRY'),
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'CLASS_ANTI_CAVALRY'),
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'CLASS_HEAVY_CHARIOT'),
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'CLASS_LIGHT_CHARIOT');
	
INSERT INTO Buildings
	(BuildingType, Name, Description, PrereqCivic, PrereqDistrict, Cost, AdvisorType, Maintenance, CitizenSlots, MaxPlayerInstances, RegionalRange, Entertainment)
VALUES	
	('BUILDING_MZ_NATIONAL_LIBRARY', 'LOC_MAGIL_NATIONAL_LIBRARY_NAME', 'LOC_MAGIL_NATIONAL_LIBRARY_DESCRIPTION', 'CIVIC_RECORDED_HISTORY', 'DISTRICT_CAMPUS', '200', 'ADVISOR_TECHNOLOGY', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'LOC_MAGIL_NATIONAL_COLLEGE_NAME', 'LOC_MAGIL_NATIONAL_COLLEGE_DESCRIPTION', 'CIVIC_THE_ENLIGHTENMENT', 'DISTRICT_CAMPUS', '530', 'ADVISOR_TECHNOLOGY', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'LOC_MAGIL_NATIONAL_SHRINE_NAME', 'LOC_MAGIL_NATIONAL_SHRINE_DESCRIPTION', 'CIVIC_MYSTICISM', 'DISTRICT_HOLY_SITE', '145', 'ADVISOR_RELIGIOUS', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'LOC_MAGIL_NATIONAL_TEMPLE_NAME', 'LOC_MAGIL_NATIONAL_TEMPLE_DESCRIPTION', 'CIVIC_DIVINE_RIGHT', 'DISTRICT_HOLY_SITE', '355', 'ADVISOR_RELIGIOUS', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_HEROIC_EPIC', 'LOC_MAGIL_HEROIC_EPIC_NAME', 'LOC_MAGIL_HEROIC_EPIC_DESCRIPTION', 'CIVIC_MILITARY_TRADITION', 'DISTRICT_ENCAMPMENT', '145', 'ADVISOR_CONQUEST', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'LOC_MAGIL_NATIONAL_ACADEMY_NAME', 'LOC_MAGIL_NATIONAL_ACADEMY_DESCRIPTION', 'CIVIC_MOBILIZATION', 'DISTRICT_ENCAMPMENT', '810', 'ADVISOR_CONQUEST', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_NATIONAL_EPIC', 'LOC_MAGIL_NATIONAL_EPIC_NAME', 'LOC_MAGIL_NATIONAL_EPIC_DESCRIPTION', 'CIVIC_CRAFTSMANSHIP', 'DISTRICT_CITY_CENTER', '90', 'ADVISOR_GENERIC', '0', '0', '1', '0', '0'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'LOC_MAGIL_NATIONAL_ARMORY_NAME', 'LOC_MAGIL_NATIONAL_ARMORY_DESCRIPTION', 'CIVIC_MERCENARIES', 'DISTRICT_ENCAMPMENT', '355', 'ADVISOR_CONQUEST', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'LOC_MAGIL_APOSTOLIC_PALACE_NAME', 'LOC_MAGIL_APOSTOLIC_PALACE_DESCRIPTION', 'CIVIC_REFORMED_CHURCH', 'DISTRICT_HOLY_SITE', '460', 'ADVISOR_RELIGIOUS', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_NATIONAL_MARKET', 'LOC_MAGIL_NATIONAL_MARKET_NAME', 'LOC_MAGIL_NATIONAL_MARKET_DESCRIPTION', 'CIVIC_MERCANTILISM', 'DISTRICT_COMMERCIAL_HUB', '530', 'ADVISOR_GENERIC', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_NATIONAL_BANK', 'LOC_MAGIL_NATIONAL_BANK_NAME', 'LOC_MAGIL_NATIONAL_BANK_DESCRIPTION', 'CIVIC_CAPITALISM', 'DISTRICT_COMMERCIAL_HUB', '915', 'ADVISOR_GENERIC', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_WRITERS_GUILD', 'LOC_MAGIL_WRITERS_GUILD_NAME', 'LOC_MAGIL_WRITERS_GUILD_DESCRIPTION', 'CIVIC_GUILDS', 'DISTRICT_THEATER', '355', 'ADVISOR_CULTURE', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_ARTISTS_GUILD', 'LOC_MAGIL_ARTISTS_GUILD_NAME', 'LOC_MAGIL_ARTISTS_GUILD_DESCRIPTION', 'CIVIC_GUILDS', 'DISTRICT_THEATER', '355', 'ADVISOR_CULTURE', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_MUSICIANS_GUILD', 'LOC_MAGIL_MUSICIANS_GUILD_NAME', 'LOC_MAGIL_MUSICIANS_GUILD_DESCRIPTION', 'CIVIC_GUILDS', 'DISTRICT_THEATER', '355', 'ADVISOR_CULTURE', '0', '1', '1','0', '0'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'LOC_MAGIL_NATIONAL_MUSEUM_NAME', 'LOC_MAGIL_NATIONAL_MUSEUM_DESCRIPTION', 'CIVIC_CULTURAL_HERITAGE', 'DISTRICT_THEATER', '925', 'ADVISOR_CULTURE', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_NATIONAL_LAB', 'LOC_MAGIL_NATIONAL_LAB_NAME', 'LOC_MAGIL_NATIONAL_LAB_DESCRIPTION', 'CIVIC_SPACE_RACE', 'DISTRICT_CAMPUS', '1350', 'ADVISOR_TECHNOLOGY', '0', '1', '1', '0', '0'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'LOC_MAGIL_NATIONAL_AIRPORT_NAME', 'LOC_MAGIL_NATIONAL_AIRPORT_DESCRIPTION', 'CIVIC_RAPID_DEPLOYMENT', 'DISTRICT_AERODROME', '1350', 'ADVISOR_CULTURE', '0', '0', '1', '6', '0'),
	('BUILDING_MZ_NATIONAL_ARENA', 'LOC_MAGIL_NATIONAL_ARENA_NAME', 'LOC_MAGIL_NATIONAL_ARENA_DESCRIPTION', 'CIVIC_MEDIEVAL_FAIRES', 'DISTRICT_ENTERTAINMENT_COMPLEX', '355', 'ADVISOR_CULTURE', '0', '0', '1', '6', '2'),
	('BUILDING_MZ_NATIONAL_ZOO', 'LOC_MAGIL_NATIONAL_ZOO_NAME', 'LOC_MAGIL_NATIONAL_ZOO_DESCRIPTION', 'CIVIC_CONSERVATION', 'DISTRICT_ENTERTAINMENT_COMPLEX', '810', 'ADVISOR_CULTURE', '0', '0', '1', '100000', '1'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'LOC_MAGIL_NATIONAL_WORKSHOP_NAME', 'LOC_MAGIL_NATIONAL_WORKSHOP_DESCRIPTION', 'CIVIC_CIVIL_SERVICE', 'DISTRICT_INDUSTRIAL_ZONE', '355', 'ADVISOR_GENERIC', '0', '1', '1', '6', '0'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'LOC_MAGIL_NATIONAL_FACTORY_NAME', 'LOC_MAGIL_NATIONAL_FACTORY_DESCRIPTION', 'CIVIC_URBANIZATION', 'DISTRICT_INDUSTRIAL_ZONE', '725', 'ADVISOR_GENERIC', '0', '1', '1', '0', '0');
	
UPDATE Buildings SET RequiresReligion=1 WHERE BuildingType='BUILDING_MZ_APOSTOLIC_PALACE';

INSERT INTO BuildingPrereqs
	(Building, PrereqBuilding)
VALUES	
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_LIBRARY'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_UNIVERSITY'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'BUILDING_SHRINE'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'BUILDING_TEMPLE'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'BUILDING_MZ_NATIONAL_TEMPLE'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_BARRACKS'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_STABLE'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MILITARY_ACADEMY'),
	('BUILDING_MZ_NATIONAL_EPIC', 'BUILDING_MONUMENT'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_ARMORY'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MARKET'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_BANK'),
	('BUILDING_MZ_WRITERS_GUILD', 'BUILDING_AMPHITHEATER'),
	('BUILDING_MZ_ARTISTS_GUILD', 'BUILDING_AMPHITHEATER'),
	('BUILDING_MZ_MUSICIANS_GUILD', 'BUILDING_AMPHITHEATER'), 
	('BUILDING_MZ_NATIONAL_MUSEUM', 'BUILDING_MUSEUM_ART'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'BUILDING_MUSEUM_ARTIFACT'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_RESEARCH_LAB'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'BUILDING_AIRPORT'),
	('BUILDING_MZ_NATIONAL_ARENA', 'BUILDING_ARENA'),
	('BUILDING_MZ_NATIONAL_ZOO', 'BUILDING_ZOO'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_FACTORY');
	
INSERT INTO Building_YieldChanges 
	(BuildingType, YieldType, YieldChange)
VALUES	
	('BUILDING_MZ_NATIONAL_COLLEGE', 'YIELD_CULTURE', '3'),
	('BUILDING_MZ_HEROIC_EPIC', 'YIELD_CULTURE', '2'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'YIELD_CULTURE', '1'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'YIELD_SCIENCE', '3'),
	('BUILDING_MZ_NATIONAL_EPIC', 'YIELD_CULTURE', '1'),
	('BUILDING_MZ_WRITERS_GUILD', 'YIELD_CULTURE', '2'),
	('BUILDING_MZ_ARTISTS_GUILD', 'YIELD_CULTURE', '2'),
	('BUILDING_MZ_MUSICIANS_GUILD', 'YIELD_CULTURE', '2'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'YIELD_CULTURE', '3'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'YIELD_PRODUCTION', '4'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'YIELD_PRODUCTION', '5');

INSERT INTO Building_GreatPersonPoints 
	(BuildingType, GreatPersonClassType, PointsPerTurn)
VALUES	
	('BUILDING_MZ_NATIONAL_LIBRARY', 'GREAT_PERSON_CLASS_SCIENTIST', '1'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'GREAT_PERSON_CLASS_SCIENTIST', '2'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'GREAT_PERSON_CLASS_PROPHET', '3'),
	('BUILDING_MZ_HEROIC_EPIC', 'GREAT_PERSON_CLASS_WRITER', '1'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'GREAT_PERSON_CLASS_GENERAL', '3'),
	('BUILDING_MZ_NATIONAL_EPIC', 'GREAT_PERSON_CLASS_WRITER', '1'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'GREAT_PERSON_CLASS_GENERAL', '1'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'GREAT_PERSON_CLASS_ENGINEER', '1'),
	('BUILDING_MZ_NATIONAL_MARKET', 'GREAT_PERSON_CLASS_MERCHANT', '1'),
	('BUILDING_MZ_NATIONAL_BANK', 'GREAT_PERSON_CLASS_MERCHANT', '2'),
	('BUILDING_MZ_NATIONAL_LAB', 'GREAT_PERSON_CLASS_ENGINEER', '3'),
	('BUILDING_MZ_NATIONAL_LAB', 'GREAT_PERSON_CLASS_SCIENTIST', '3'),
	('BUILDING_MZ_NATIONAL_ARENA', 'GREAT_PERSON_CLASS_ENGINEER', '1'),
	('BUILDING_MZ_NATIONAL_ARENA', 'GREAT_PERSON_CLASS_WRITER', '1'),
	('BUILDING_MZ_NATIONAL_ZOO', 'GREAT_PERSON_CLASS_MERCHANT', '1'),
	('BUILDING_MZ_NATIONAL_ZOO', 'GREAT_PERSON_CLASS_ENGINEER', '1'),
	('BUILDING_MZ_NATIONAL_ZOO', 'GREAT_PERSON_CLASS_WRITER', '1'),
	('BUILDING_MZ_NATIONAL_ZOO', 'GREAT_PERSON_CLASS_ARTIST', '1'),
	('BUILDING_MZ_NATIONAL_ZOO', 'GREAT_PERSON_CLASS_MUSICIAN', '1'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'GREAT_PERSON_CLASS_ENGINEER', '1'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'GREAT_PERSON_CLASS_ENGINEER', '2'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'GREAT_PERSON_CLASS_WRITER', '2'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'GREAT_PERSON_CLASS_ARTIST', '2'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'GREAT_PERSON_CLASS_MUSICIAN', '2'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'GREAT_PERSON_CLASS_MERCHANT', '3');

INSERT INTO Building_GreatWorks 
	(BuildingType, GreatWorkSlotType, NumSlots)
VALUES	
	('BUILDING_MZ_NATIONAL_LIBRARY','GREATWORKSLOT_WRITING','2'),
	('BUILDING_MZ_NATIONAL_COLLEGE','GREATWORKSLOT_WRITING','2'),
	('BUILDING_MZ_NATIONAL_SHRINE','GREATWORKSLOT_RELIC','2'),
	('BUILDING_MZ_NATIONAL_TEMPLE','GREATWORKSLOT_CATHEDRAL','3'),
	('BUILDING_MZ_HEROIC_EPIC','GREATWORKSLOT_WRITING','1'),
	('BUILDING_MZ_NATIONAL_ACADEMY','GREATWORKSLOT_WRITING','1'),
	('BUILDING_MZ_NATIONAL_EPIC','GREATWORKSLOT_PALACE','1'),
	('BUILDING_MZ_APOSTOLIC_PALACE','GREATWORKSLOT_CATHEDRAL','2'),
	('BUILDING_MZ_APOSTOLIC_PALACE','GREATWORKSLOT_RELIC','2'),
	('BUILDING_MZ_WRITERS_GUILD','GREATWORKSLOT_WRITING','2'),
	('BUILDING_MZ_ARTISTS_GUILD','GREATWORKSLOT_ART','3'),
	('BUILDING_MZ_MUSICIANS_GUILD','GREATWORKSLOT_MUSIC','2'),
	('BUILDING_MZ_NATIONAL_MUSEUM','GREATWORKSLOT_WRITING','2'),
	('BUILDING_MZ_NATIONAL_MUSEUM','GREATWORKSLOT_ART','3'),
	('BUILDING_MZ_NATIONAL_MUSEUM','GREATWORKSLOT_MUSIC','1');

UPDATE Building_GreatWorks SET ThemingUniquePerson=1 WHERE BuildingType='BUILDING_MZ_NATIONAL_LIBRARY';
UPDATE Building_GreatWorks SET ThemingYieldMultiplier='50' WHERE BuildingType='BUILDING_MZ_NATIONAL_LIBRARY';
UPDATE Building_GreatWorks SET ThemingTourismMultiplier='50' WHERE BuildingType='BUILDING_MZ_NATIONAL_LIBRARY';
--UPDATE Building_GreatWorks SET NonUniquePersonYield='4' WHERE BuildingType='BUILDING_MZ_NATIONAL_LIBRARY';
--UPDATE Building_GreatWorks SET NonUniquePersonTourism='4' WHERE BuildingType='BUILDING_MZ_NATIONAL_LIBRARY';
UPDATE Building_GreatWorks SET ThemingBonusDescription='LOC_MAGIL_NW_THEMINGBONUS_WRITING' WHERE BuildingType='BUILDING_MZ_NATIONAL_LIBRARY';

UPDATE Building_GreatWorks SET ThemingUniquePerson=1 WHERE BuildingType='BUILDING_MZ_NATIONAL_COLLEGE';
UPDATE Building_GreatWorks SET ThemingYieldMultiplier='50' WHERE BuildingType='BUILDING_MZ_NATIONAL_COLLEGE';
UPDATE Building_GreatWorks SET ThemingTourismMultiplier='50' WHERE BuildingType='BUILDING_MZ_NATIONAL_COLLEGE';
--UPDATE Building_GreatWorks SET NonUniquePersonYield='4' WHERE BuildingType='BUILDING_MZ_NATIONAL_COLLEGE';
--UPDATE Building_GreatWorks SET NonUniquePersonTourism='4' WHERE BuildingType='BUILDING_MZ_NATIONAL_COLLEGE';
UPDATE Building_GreatWorks SET ThemingBonusDescription='LOC_MAGIL_NW_THEMINGBONUS_WRITING' WHERE BuildingType='BUILDING_MZ_NATIONAL_COLLEGE';

UPDATE Building_GreatWorks SET ThemingUniquePerson=1 WHERE BuildingType='BUILDING_MZ_NATIONAL_TEMPLE';
UPDATE Building_GreatWorks SET ThemingYieldMultiplier='100' WHERE BuildingType='BUILDING_MZ_NATIONAL_TEMPLE';
UPDATE Building_GreatWorks SET ThemingTourismMultiplier='100' WHERE BuildingType='BUILDING_MZ_NATIONAL_TEMPLE';
UPDATE Building_GreatWorks SET ThemingBonusDescription='LOC_MAGIL_NATIONAL_TEMPLE_THEMINGBONUS' WHERE BuildingType='BUILDING_MZ_NATIONAL_TEMPLE';

UPDATE Building_GreatWorks SET ThemingUniquePerson=1 WHERE BuildingType='BUILDING_MZ_NATIONAL_MUSEUM';
UPDATE Building_GreatWorks SET ThemingYieldMultiplier='100' WHERE BuildingType='BUILDING_MZ_NATIONAL_MUSEUM';
UPDATE Building_GreatWorks SET ThemingTourismMultiplier='100' WHERE BuildingType='BUILDING_MZ_NATIONAL_MUSEUM';
--UPDATE Building_GreatWorks SET NonUniquePersonYield='1' WHERE BuildingType='BUILDING_MZ_NATIONAL_MUSEUM';
--UPDATE Building_GreatWorks SET NonUniquePersonTourism='1' WHERE BuildingType='BUILDING_MZ_NATIONAL_MUSEUM';
UPDATE Building_GreatWorks SET ThemingBonusDescription='LOC_BUILDING_THEMINGBONUS_ART' WHERE BuildingType='BUILDING_MZ_NATIONAL_MUSEUM';

INSERT INTO Building_YieldDistrictCopies 
	(BuildingType, OldYieldType, NewYieldType)
VALUES	
	('BUILDING_MZ_NATIONAL_LIBRARY', 'YIELD_SCIENCE', 'YIELD_SCIENCE'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'YIELD_FAITH', 'YIELD_FAITH'),
	('BUILDING_MZ_NATIONAL_BANK', 'YIELD_GOLD', 'YIELD_GOLD'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'YIELD_CULTURE', 'YIELD_CULTURE'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'YIELD_PRODUCTION', 'YIELD_PRODUCTION');
	
INSERT INTO MutuallyExclusiveBuildings
	(Building, MutuallyExclusiveBuilding)
VALUES	
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_NATIONAL_SHRINE'),
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_NATIONAL_TEMPLE'),
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_APOSTOLIC_PALACE'),
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_NATIONAL_AIRPORT'),
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_NATIONAL_ARENA'),
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_NATIONAL_ZOO'),
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_LIBRARY', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_NATIONAL_SHRINE'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_NATIONAL_TEMPLE'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_APOSTOLIC_PALACE'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_NATIONAL_AIRPORT'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_NATIONAL_ARENA'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_NATIONAL_ZOO'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_COLLEGE', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_NATIONAL_SHRINE'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_NATIONAL_TEMPLE'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_APOSTOLIC_PALACE'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_NATIONAL_AIRPORT'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_NATIONAL_ARENA'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_NATIONAL_ZOO'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_LAB', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_NATIONAL_SHRINE', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_SHRINE', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_NATIONAL_TEMPLE', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_APOSTOLIC_PALACE', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_SHRINE'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_TEMPLE'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_APOSTOLIC_PALACE'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_MUSEUM'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_AIRPORT'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_ARENA'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_ZOO'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_HEROIC_EPIC', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_SHRINE'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_TEMPLE'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_APOSTOLIC_PALACE'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_MUSEUM'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_AIRPORT'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_ARENA'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_ZOO'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_ARMORY', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_SHRINE'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_TEMPLE'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_APOSTOLIC_PALACE'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_MUSEUM'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_AIRPORT'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_ARENA'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_ZOO'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_ACADEMY', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_NATIONAL_SHRINE'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_NATIONAL_TEMPLE'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_APOSTOLIC_PALACE'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_NATIONAL_MUSEUM'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_NATIONAL_AIRPORT'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_MARKET', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_NATIONAL_SHRINE'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_NATIONAL_TEMPLE'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_APOSTOLIC_PALACE'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_NATIONAL_MUSEUM'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_NATIONAL_AIRPORT'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_BANK', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_WRITERS_GUILD', 'BUILDING_MZ_ARTISTS_GUILD'),
	('BUILDING_MZ_WRITERS_GUILD', 'BUILDING_MZ_MUSICIANS_GUILD'),
	('BUILDING_MZ_ARTISTS_GUILD', 'BUILDING_MZ_WRITERS_GUILD'),
	('BUILDING_MZ_ARTISTS_GUILD', 'BUILDING_MZ_MUSICIANS_GUILD'),
	('BUILDING_MZ_MUSICIANS_GUILD', 'BUILDING_MZ_WRITERS_GUILD'),
	('BUILDING_MZ_MUSICIANS_GUILD', 'BUILDING_MZ_ARTISTS_GUILD'),
		
	('BUILDING_MZ_NATIONAL_MUSEUM', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_MUSEUM', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_NATIONAL_AIRPORT', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_AIRPORT', 'BUILDING_MZ_NATIONAL_FACTORY'),		
		
	('BUILDING_MZ_NATIONAL_ARENA', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_NATIONAL_ARENA', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_NATIONAL_ARENA', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_ARENA', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_ARENA', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_ARENA', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_NATIONAL_ARENA', 'BUILDING_MZ_NATIONAL_ZOO'),
	('BUILDING_MZ_NATIONAL_ARENA', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_ARENA', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_NATIONAL_ZOO', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_NATIONAL_ZOO', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_NATIONAL_ZOO', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_ZOO', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_ZOO', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_ZOO', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_NATIONAL_ZOO', 'BUILDING_MZ_NATIONAL_ARENA'),
	('BUILDING_MZ_NATIONAL_ZOO', 'BUILDING_MZ_NATIONAL_WORKSHOP'),
	('BUILDING_MZ_NATIONAL_ZOO', 'BUILDING_MZ_NATIONAL_FACTORY'),
		
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_SHRINE'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_TEMPLE'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_APOSTOLIC_PALACE'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_MUSEUM'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_AIRPORT'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_ARENA'),
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'BUILDING_MZ_NATIONAL_ZOO'),
		
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_LIBRARY'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_COLLEGE'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_SHRINE'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_TEMPLE'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_APOSTOLIC_PALACE'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_HEROIC_EPIC'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_ARMORY'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_ACADEMY'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_MARKET'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_BANK'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_LAB'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_MUSEUM'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_AIRPORT'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_ARENA'),
	('BUILDING_MZ_NATIONAL_FACTORY', 'BUILDING_MZ_NATIONAL_ZOO');

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES
--Campus Wonders	
	('MAGIL_NATIONAL_LIBRARY_SCIENCE_PERCENT', 'MODIFIER_SINGLE_CITY_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, NULL),
	('MAGIL_NATIONAL_COLLEGE_SCIENCE_PERCENT', 'MODIFIER_SINGLE_CITY_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, NULL),
	('MAGIL_NATIONAL_COLLEGE_SCIENCE_FROM_CULTURE', 'MODIFIER_PLAYER_GRANT_YIELD_BASED_ON_CURRENT_YIELD_RATE', 1, 1, NULL, NULL),
	('MAGIL_NATIONAL_LAB_SPACERACE_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_SPACE_RACE_PROJECTS_PRODUCTION', 0, 1, NULL, NULL),
	('MAGIL_NATIONAL_LAB_BOOST1', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECH_BOOST', 1, 1, NULL, NULL),
	('MAGIL_NATIONAL_LAB_BOOST2', 'MODIFIER_PLAYER_GRANT_SPECIFIC_TECH_BOOST', 1, 1, NULL, NULL),	
--Holy Site Wonders	
	('MAGIL_NATIONAL_SHRINE_HOLYSITE_WITH_SHRINE_GOLD', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_SHRINE2'),
	('MAGIL_NATIONAL_SHRINE_HOLYSITE_WITH_TEMPLE_GOLD', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_TEMPLE2'),
	('MAGIL_NATIONAL_SHRINE_HOLYSITE_WITH_WORSHIP_GOLD', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_WORSHIP2'),
	('MAGIL_NATIONAL_TEMPLE_GW_HOLYSITE', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL),
	('MAGIL_NATIONAL_TEMPLE_GW_HOLYSITE_MODIFIER', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_HOLY_SITE'),
	('MAGIL_NATIONAL_TEMPLE_GA_SHRINE', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 'MAGIL_CITY_HAS_SHRINE_REQUIREMENTSET2'),
	('MAGIL_NATIONAL_TEMPLE_GA_SHRINE_MODIFIER', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_HOLY_SITE'),
	('MAGIL_NATIONAL_TEMPLE_GM_TEMPLE', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 'MAGIL_CITY_HAS_TEMPLE_REQUIREMENTSET2'),
	('MAGIL_NATIONAL_TEMPLE_GM_TEMPLE_MODIFIER', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_HOLY_SITE'),
	('MAGIL_NATIONAL_TEMPLE_FAITH_PERCENT', 'MODIFIER_SINGLE_CITY_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, NULL),
	
	('MAGIL_APOSTOLIC_PALACE_CITYCENTER_FAITH_PURCHASE', 'MODIFIER_CITY_ENABLE_BUILDING_FAITH_PURCHASE', 0, 0, NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_CAMPUS_FAITH_PURCHASE', 'MODIFIER_CITY_ENABLE_BUILDING_FAITH_PURCHASE', 0, 0, NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_HOLYSITE_FAITH_PURCHASE', 'MODIFIER_CITY_ENABLE_BUILDING_FAITH_PURCHASE', 0, 0, NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_THEATER_FAITH_PURCHASE', 'MODIFIER_CITY_ENABLE_BUILDING_FAITH_PURCHASE', 0, 0, NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_ENCAMPMENT_FAITH_PURCHASE', 'MODIFIER_CITY_ENABLE_BUILDING_FAITH_PURCHASE', 0, 0, NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_COMMERCIALHUB_FAITH_PURCHASE', 'MODIFIER_CITY_ENABLE_BUILDING_FAITH_PURCHASE', 0, 0, NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_HARBOR_FAITH_PURCHASE', 'MODIFIER_CITY_ENABLE_BUILDING_FAITH_PURCHASE', 0, 0, NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_INDUSTRIALZONE_FAITH_PURCHASE', 'MODIFIER_CITY_ENABLE_BUILDING_FAITH_PURCHASE', 0, 0, NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_AERODOME_FAITH_PURCHASE', 'MODIFIER_CITY_ENABLE_BUILDING_FAITH_PURCHASE', 0, 0, NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_NEIGHBORHOOD_FAITH_PURCHASE', 'MODIFIER_CITY_ENABLE_BUILDING_FAITH_PURCHASE', 0, 0, NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_ENTERTAINMENTCOMPLEX_FAITH_PURCHASE', 'MODIFIER_CITY_ENABLE_BUILDING_FAITH_PURCHASE', 0, 0, NULL, NULL),
--Encampment Wonders	
	('MAGIL_HEROIC_EPIC_FREE_PROMOTION', 'MODIFIER_SINGLE_CITY_GRANT_ABILITY_FOR_TRAINED_UNITS', 0, 1, NULL, 'ARMORY_LAND_REQUIREMENTS'),
	('MAGIL_HEROIC_EPIC_FREE_PROMOTION_MODIFIER', 'MODIFIER_PLAYER_UNIT_ADJUST_GRANT_EXPERIENCE', 0, 0, NULL, NULL),
	('MAGIL_HEROIC_EPIC_CULTURE_FROM_UNITS', 'MODIFIER_SINGLE_CITY_GRANT_YIELD_PER_UNIT_COST', 1, 1, NULL, NULL),
	('MAGIL_NATIONAL_ACADEMY_ADJUST_COMBAT_STRENGTH', 'MODIFIER_SINGLE_CITY_GRANT_ABILITY_FOR_TRAINED_UNITS', 0, 1, NULL, 'ARMORY_LAND_REQUIREMENTS'),
	('MAGIL_NATIONAL_ACADEMY_ADJUST_COMBAT_STRENGTH_MODIFIER', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 0, 0, NULL, NULL),
	('MAGIL_NATIONAL_ACADEMY_UNIT_XP', 'MODIFIER_CITY_TRAINED_UNITS_ADJUST_XP_BONUS', 0, 1, NULL, 'ARMORY_LAND_REQUIREMENTS'),
	('MAGIL_NATIONAL_ARMORY_PRODUCTION', 'MAGIL_MODIFIER_PLAYER_CITY_ADJUST_MILITARY_UNITS_PRODUCTION', 0, 0, NULL, NULL),
	('MAGIL_NATIONAL_ARMORY_MAINT_REDUCTION', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 0, 0, NULL, NULL),
--National Epic	
	('MAGIL_NATIONAL_EPIC_GREATGENERALPOINTS', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_ENCAMPMENT'),
	('MAGIL_NATIONAL_EPIC_GREATADMIRALPOINTS', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_HARBOR'),
	('MAGIL_NATIONAL_EPIC_GREATENGINEERPOINTS', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_INDUSTRIAL_ZONE'),
	('MAGIL_NATIONAL_EPIC_GREATMERCHANTPOINTS', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_COMMERCIAL_HUB'),
	('MAGIL_NATIONAL_EPIC_GREATPROPHETPOINTS', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_HOLY_SITE'),
	('MAGIL_NATIONAL_EPIC_GREATSCIENTISTPOINTS', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_CAMPUS'),
	('MAGIL_NATIONAL_EPIC_GREATWRITERPOINTS', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_THEATER'),
	('MAGIL_NATIONAL_EPIC_GREATARTISTPOINTS', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_THEATER'),
	('MAGIL_NATIONAL_EPIC_GREATMUSICIANPOINTS', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_THEATER'),	
	('MAGIL_NATIONAL_EPIC_EXTRA_DISTRICT', 'MODIFIER_SINGLE_CITY_EXTRA_DISTRICT', 1, 1, NULL, NULL),
--Commercial Zone wonders
	('MAGIL_NATIONAL_MARKET_YIELD_TO_INCOMING_TRADE', 'MODIFIER_SINGLE_CITY_ADJUST_TRADE_ROUTE_YIELD_TO_OTHERS', 1, 1, NULL, NULL),
	('MAGIL_NATIONAL_MARKET_YIELD_FROM_INCOMING_TRADE', 'MODIFIER_SINGLE_CITY_ADJUST_TRADE_ROUTE_YIELD_FROM_OTHERS', 1, 1, NULL, NULL),
	('MAGIL_NATIONAL_MARKET_FREE_TRADER', 'MODIFIER_SINGLE_CITY_GRANT_UNIT_IN_CITY', 1, 1, NULL, NULL),
	('MAGIL_NATIONAL_MAKRET_ADD_TRADEROUTE', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, NULL),
	('MAGIL_NATIONAL_MARKET_BONUS_YIELD', 'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD', 0, 0, NULL, 'MAGIL_REQUIRES_BONUS_RESOURCE'),
	('MAGIL_NATIONAL_MARKET_LUXURY_YIELD', 'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD', 0, 0, NULL, 'MAGIL_REQUIRES_LUXURY_RESOURCE'),
	('MAGIL_NATIONAL_BANK_GOLD_INTEREST', 'MODIFIER_PLAYER_GRANT_YIELD_BASED_ON_CURRENT_YIELD_RATE', 1, 1, NULL, NULL),
	('MAGIL_NATIONAL_BANK_GOLD_PERCENT', 'MODIFIER_SINGLE_CITY_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, NULL),
--Writer's Guild	
	('MAGIL_WRITERS_GUILD_GW_THEATER', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_THEATER'),
	('MAGIL_WRITERS_GUILD_GW_HOLYSITE', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_HOLY_SITE'),
	('MAGIL_WRITERS_GUILD_GW_CAMPUS', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_CAMPUS'),
	('MAGIL_WRITERS_GUILD_GW_HARBOR', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_HARBOR'),
	('MAGIL_WRITERS_GUILD_GW_INDUSTRIALZONE', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_INDUSTRIAL_ZONE'),
	('MAGIL_WRITERS_GUILD_GW_COMMERCIALHUB', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_COMMERCIAL_HUB'),
	('MAGIL_WRITERS_GUILD_GW_ENCAMPMENT', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_ENCAMPMENT'),
--Artist's Guild
	('MAGIL_ARTISTS_GUILD_GA_THEATER', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_THEATER'),
	('MAGIL_ARTISTS_GUILD_GA_HOLYSITE', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_HOLY_SITE'),
	('MAGIL_ARTISTS_GUILD_GA_CAMPUS', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_CAMPUS'),
	('MAGIL_ARTISTS_GUILD_GA_HARBOR', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_HARBOR'),
	('MAGIL_ARTISTS_GUILD_GA_INDUSTRIALZONE', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_INDUSTRIAL_ZONE'),
	('MAGIL_ARTISTS_GUILD_GA_COMMERCIALHUB', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_COMMERCIAL_HUB'),
	('MAGIL_ARTISTS_GUILD_GA_ENCAMPMENT', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_ENCAMPMENT'),
--Musician's Guild
	('MAGIL_MUSICIANS_GUILD_GM_THEATER', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_THEATER'),
	('MAGIL_MUSICIANS_GUILD_GM_HOLYSITE', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_HOLY_SITE'),
	('MAGIL_MUSICIANS_GUILD_GM_CAMPUS', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_CAMPUS'),
	('MAGIL_MUSICIANS_GUILD_GM_HARBOR', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_HARBOR'),
	('MAGIL_MUSICIANS_GUILD_GM_INDUSTRIALZONE', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_INDUSTRIAL_ZONE'),
	('MAGIL_MUSICIANS_GUILD_GM_COMMERCIALHUB', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_COMMERCIAL_HUB'),
	('MAGIL_MUSICIANS_GUILD_GM_ENCAMPMENT', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_ENCAMPMENT'),
--National Museum	
	('MAGIL_NATIONAL_MUSEUM_CULTURE_PERCENT', 'MODIFIER_SINGLE_CITY_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, NULL),
	('MAGIL_NATIONAL_MUSEUM_AUTO_THEME', 'MODIFIER_PLAYER_ADJUST_AUTO_THEMED_BUILDING', 0, 0, NULL, NULL),
--National Airport
	('MAGIL_NATIONAL_AIRPORT_MODERN_ERA_TOURISM', 'MODIFIER_SINGLE_CITY_ADJUST_TOURISM_LATE_ERAS', 0, 0, NULL, NULL),
	('MAGIL_NATIONAL_AIRPORT_AERODROME_TOURISM', 'MAGIL_MODIFIER_SINGLE_CITY_ADJUST_DISTRICT_TOURISM', 0, 0, NULL, 'MAGIL_DISTRICT_IS_AERODROME'),
--Industrial Zone wonders
	('MAGIL_NATIONAL_WORKSHOP_STRATEGIC_YIELD', 'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD', 0, 0, NULL, 'MAGIL_REQUIRES_STRATEGIC_RESOURCE'),
	('MAGIL_NATIONAL_FACTORY_PRODUCTION_PERCENT', 'MODIFIER_SINGLE_CITY_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, NULL);

INSERT INTO ModifierArguments
	(ModifierId, Name, Value, Extra, SecondExtra)
VALUES	
--Campus wonders
	('MAGIL_NATIONAL_LIBRARY_SCIENCE_PERCENT', 'YieldType', 'YIELD_SCIENCE', NULL, NULL),
	('MAGIL_NATIONAL_LIBRARY_SCIENCE_PERCENT', 'Amount', '15', NULL, NULL),
	
	('MAGIL_NATIONAL_COLLEGE_SCIENCE_PERCENT', 'YieldType', 'YIELD_SCIENCE', NULL, NULL),
	('MAGIL_NATIONAL_COLLEGE_SCIENCE_PERCENT', 'Amount', '15', NULL, NULL),

	('MAGIL_NATIONAL_COLLEGE_SCIENCE_FROM_CULTURE', 'YieldToGrant', 'YIELD_SCIENCE', NULL, NULL),
	('MAGIL_NATIONAL_COLLEGE_SCIENCE_FROM_CULTURE', 'YieldToBaseOn', 'YIELD_CULTURE', NULL, NULL),	
	('MAGIL_NATIONAL_COLLEGE_SCIENCE_FROM_CULTURE', 'Multiplier', '5', NULL, NULL),
	
	('MAGIL_NATIONAL_LAB_SPACERACE_PRODUCTION', 'Amount', '50', NULL, NULL),		
	('MAGIL_NATIONAL_LAB_BOOST1', 'TechType', 'TECH_SATELLITES', NULL, NULL),	
	('MAGIL_NATIONAL_LAB_BOOST2', 'TechType', 'TECH_NUCLEAR_FUSION', NULL, NULL),	
--Holy Site wonders	
	('MAGIL_NATIONAL_SHRINE_HOLYSITE_WITH_SHRINE_GOLD', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_NATIONAL_SHRINE_HOLYSITE_WITH_SHRINE_GOLD', 'Amount', '2', NULL, NULL),			
	('MAGIL_NATIONAL_SHRINE_HOLYSITE_WITH_TEMPLE_GOLD', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_NATIONAL_SHRINE_HOLYSITE_WITH_TEMPLE_GOLD', 'Amount', '2', NULL, NULL),			
	('MAGIL_NATIONAL_SHRINE_HOLYSITE_WITH_WORSHIP_GOLD', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_NATIONAL_SHRINE_HOLYSITE_WITH_WORSHIP_GOLD', 'Amount', '2', NULL, NULL),		

	('MAGIL_NATIONAL_TEMPLE_GW_HOLYSITE', 'ModifierId', 'MAGIL_NATIONAL_TEMPLE_GW_HOLYSITE_MODIFIER', NULL, NULL),
	('MAGIL_NATIONAL_TEMPLE_GW_HOLYSITE_MODIFIER', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER', NULL, NULL),	
	('MAGIL_NATIONAL_TEMPLE_GW_HOLYSITE_MODIFIER', 'Amount', '1', NULL, NULL),	

	('MAGIL_NATIONAL_TEMPLE_GA_SHRINE', 'ModifierId', 'MAGIL_NATIONAL_TEMPLE_GA_SHRINE_MODIFIER', NULL, NULL),
	('MAGIL_NATIONAL_TEMPLE_GA_SHRINE_MODIFIER', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ARTIST', NULL, NULL),	
	('MAGIL_NATIONAL_TEMPLE_GA_SHRINE_MODIFIER', 'Amount', '1', NULL, NULL),	

	('MAGIL_NATIONAL_TEMPLE_GM_TEMPLE', 'ModifierId', 'MAGIL_NATIONAL_TEMPLE_GM_TEMPLE_MODIFIER', NULL, NULL),
	('MAGIL_NATIONAL_TEMPLE_GM_TEMPLE_MODIFIER', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MUSICIAN', NULL, NULL),	
	('MAGIL_NATIONAL_TEMPLE_GM_TEMPLE_MODIFIER', 'Amount', '1', NULL, NULL),	
	
	('MAGIL_NATIONAL_TEMPLE_FAITH_PERCENT', 'YieldType', 'YIELD_FAITH', NULL, NULL),
	('MAGIL_NATIONAL_TEMPLE_FAITH_PERCENT', 'Amount', '30', NULL, NULL),
	
	('MAGIL_APOSTOLIC_PALACE_CITYCENTER_FAITH_PURCHASE', 'DistrictType', 'DISTRICT_CITY_CENTER', NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_CAMPUS_FAITH_PURCHASE', 'DistrictType', 'DISTRICT_CAMPUS', NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_HOLYSITE_FAITH_PURCHASE', 'DistrictType', 'DISTRICT_HOLY_SITE', NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_THEATER_FAITH_PURCHASE', 'DistrictType', 'DISTRICT_THEATER', NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_ENCAMPMENT_FAITH_PURCHASE', 'DistrictType', 'DISTRICT_ENCAMPMENT', NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_COMMERCIALHUB_FAITH_PURCHASE', 'DistrictType', 'DISTRICT_COMMERCIAL_HUB', NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_HARBOR_FAITH_PURCHASE', 'DistrictType', 'DISTRICT_HARBOR', NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_INDUSTRIALZONE_FAITH_PURCHASE', 'DistrictType', 'DISTRICT_INDUSTRIAL_ZONE', NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_AERODOME_FAITH_PURCHASE', 'DistrictType', 'DISTRICT_AERODROME', NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_NEIGHBORHOOD_FAITH_PURCHASE', 'DistrictType', 'DISTRICT_NEIGHBORHOOD', NULL, NULL),
	('MAGIL_APOSTOLIC_PALACE_ENTERTAINMENTCOMPLEX_FAITH_PURCHASE', 'DistrictType', 'DISTRICT_ENTERTAINMENT_COMPLEX', NULL, NULL),
--Encampment district wonders	
	('MAGIL_HEROIC_EPIC_FREE_PROMOTION', 'AbilityType', 'MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', NULL, NULL),
	('MAGIL_HEROIC_EPIC_FREE_PROMOTION_MODIFIER', 'Amount', '-1', NULL, NULL),

	('MAGIL_HEROIC_EPIC_CULTURE_FROM_UNITS', 'YieldType', 'YIELD_FAITH', NULL, NULL),	
	('MAGIL_HEROIC_EPIC_CULTURE_FROM_UNITS', 'UnitProductionPercent', '25', NULL, NULL),	
	
	('MAGIL_NATIONAL_ARMORY_PRODUCTION', 'Amount', '50', NULL, NULL),
	('MAGIL_NATIONAL_ARMORY_PRODUCTION', 'StartEra', 'ERA_ANCIENT', NULL, NULL),
	('MAGIL_NATIONAL_ARMORY_PRODUCTION', 'EndEra', 'ERA_INFORMATION', NULL, NULL),
	('MAGIL_NATIONAL_ARMORY_MAINT_REDUCTION', 'Amount', '1', NULL, NULL),

	('MAGIL_NATIONAL_ACADEMY_UNIT_XP', 'Amount', '100', NULL, NULL),
	('MAGIL_NATIONAL_ACADEMY_ADJUST_COMBAT_STRENGTH', 'AbilityType', 'MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', NULL, NULL),
	('MAGIL_NATIONAL_ACADEMY_ADJUST_COMBAT_STRENGTH_MODIFIER', 'Amount', '4', NULL, NULL),
--National Epic
	('MAGIL_NATIONAL_EPIC_GREATGENERALPOINTS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_GENERAL', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATGENERALPOINTS', 'Amount', '1', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATADMIRALPOINTS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ADMIRAL', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATADMIRALPOINTS', 'Amount', '1', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATENGINEERPOINTS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ENGINEER', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATENGINEERPOINTS', 'Amount', '1', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATMERCHANTPOINTS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MERCHANT', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATMERCHANTPOINTS', 'Amount', '1', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATPROPHETPOINTS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_PROPHET', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATPROPHETPOINTS', 'Amount', '1', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATSCIENTISTPOINTS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_SCIENTIST', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATSCIENTISTPOINTS', 'Amount', '1', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATWRITERPOINTS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATWRITERPOINTS', 'Amount', '1', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATARTISTPOINTS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ARTIST', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATARTISTPOINTS', 'Amount', '1', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATMUSICIANPOINTS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MUSICIAN', NULL, NULL),
	('MAGIL_NATIONAL_EPIC_GREATMUSICIANPOINTS', 'Amount', '1', NULL, NULL),

	('MAGIL_NATIONAL_EPIC_EXTRA_DISTRICT', 'Amount', '1', NULL, NULL),

--Commercial Zone wonders
	('MAGIL_NATIONAL_MARKET_YIELD_TO_INCOMING_TRADE', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_NATIONAL_MARKET_YIELD_TO_INCOMING_TRADE', 'Amount', '6', NULL, NULL),	
	
	('MAGIL_NATIONAL_MARKET_YIELD_FROM_INCOMING_TRADE', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_NATIONAL_MARKET_YIELD_FROM_INCOMING_TRADE', 'Amount', '6', NULL, NULL),	
	
	('MAGIL_NATIONAL_MARKET_FREE_TRADER', 'UnitType', 'UNIT_TRADER', NULL, NULL),
	('MAGIL_NATIONAL_MARKET_FREE_TRADER', 'Amount', '1', NULL, NULL),	
	('MAGIL_NATIONAL_MAKRET_ADD_TRADEROUTE', 'Amount', '1', NULL, NULL),	
	
	('MAGIL_NATIONAL_MARKET_BONUS_YIELD', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_NATIONAL_MARKET_BONUS_YIELD', 'Amount', '2', NULL, NULL),	
	('MAGIL_NATIONAL_MARKET_LUXURY_YIELD', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_NATIONAL_MARKET_LUXURY_YIELD', 'Amount', '2', NULL, NULL),	
	
	('MAGIL_NATIONAL_BANK_GOLD_INTEREST', 'YieldToGrant', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_NATIONAL_BANK_GOLD_INTEREST', 'YieldToBaseOn', 'YIELD_GOLD', NULL, NULL),	
	('MAGIL_NATIONAL_BANK_GOLD_INTEREST', 'Multiplier', '5', NULL, NULL),	
	
	('MAGIL_NATIONAL_BANK_GOLD_PERCENT', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_NATIONAL_BANK_GOLD_PERCENT', 'Amount', '30', NULL, NULL),	
--Writers Guild	
	('MAGIL_WRITERS_GUILD_GW_THEATER', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER', NULL, NULL),
	('MAGIL_WRITERS_GUILD_GW_THEATER', 'Amount', '1', NULL, NULL),	

	('MAGIL_WRITERS_GUILD_GW_CAMPUS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER', NULL, NULL),
	('MAGIL_WRITERS_GUILD_GW_CAMPUS', 'Amount', '1', NULL, NULL),	

	('MAGIL_WRITERS_GUILD_GW_ENCAMPMENT', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER', NULL, NULL),
	('MAGIL_WRITERS_GUILD_GW_ENCAMPMENT', 'Amount', '1', NULL, NULL),	

	('MAGIL_WRITERS_GUILD_GW_HOLYSITE', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER', NULL, NULL),
	('MAGIL_WRITERS_GUILD_GW_HOLYSITE', 'Amount', '1', NULL, NULL),	

	('MAGIL_WRITERS_GUILD_GW_INDUSTRIALZONE', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER', NULL, NULL),
	('MAGIL_WRITERS_GUILD_GW_INDUSTRIALZONE', 'Amount', '1', NULL, NULL),	

	('MAGIL_WRITERS_GUILD_GW_COMMERCIALHUB', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER', NULL, NULL),
	('MAGIL_WRITERS_GUILD_GW_COMMERCIALHUB', 'Amount', '1', NULL, NULL),	

	('MAGIL_WRITERS_GUILD_GW_HARBOR', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER', NULL, NULL),
	('MAGIL_WRITERS_GUILD_GW_HARBOR', 'Amount', '1', NULL, NULL),	
--Artists Guild	
	('MAGIL_ARTISTS_GUILD_GA_THEATER', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ARTIST', NULL, NULL),
	('MAGIL_ARTISTS_GUILD_GA_THEATER', 'Amount', '1', NULL, NULL),	
	
	('MAGIL_ARTISTS_GUILD_GA_CAMPUS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ARTIST', NULL, NULL),
	('MAGIL_ARTISTS_GUILD_GA_CAMPUS', 'Amount', '1', NULL, NULL),	

	('MAGIL_ARTISTS_GUILD_GA_ENCAMPMENT', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ARTIST', NULL, NULL),
	('MAGIL_ARTISTS_GUILD_GA_ENCAMPMENT', 'Amount', '1', NULL, NULL),	

	('MAGIL_ARTISTS_GUILD_GA_HOLYSITE', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ARTIST', NULL, NULL),
	('MAGIL_ARTISTS_GUILD_GA_HOLYSITE', 'Amount', '1', NULL, NULL),	

	('MAGIL_ARTISTS_GUILD_GA_INDUSTRIALZONE', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ARTIST', NULL, NULL),
	('MAGIL_ARTISTS_GUILD_GA_INDUSTRIALZONE', 'Amount', '1', NULL, NULL),	

	('MAGIL_ARTISTS_GUILD_GA_COMMERCIALHUB', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ARTIST', NULL, NULL),
	('MAGIL_ARTISTS_GUILD_GA_COMMERCIALHUB', 'Amount', '1', NULL, NULL),	

	('MAGIL_ARTISTS_GUILD_GA_HARBOR', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ARTIST', NULL, NULL),
	('MAGIL_ARTISTS_GUILD_GA_HARBOR', 'Amount', '1', NULL, NULL),	
--Musicians Guild
	('MAGIL_MUSICIANS_GUILD_GM_THEATER', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MUSICIAN', NULL, NULL),
	('MAGIL_MUSICIANS_GUILD_GM_THEATER', 'Amount', '1', NULL, NULL),	

	('MAGIL_MUSICIANS_GUILD_GM_CAMPUS', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MUSICIAN', NULL, NULL),
	('MAGIL_MUSICIANS_GUILD_GM_CAMPUS', 'Amount', '1', NULL, NULL),	

	('MAGIL_MUSICIANS_GUILD_GM_ENCAMPMENT', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MUSICIAN', NULL, NULL),
	('MAGIL_MUSICIANS_GUILD_GM_ENCAMPMENT', 'Amount', '1', NULL, NULL),	

	('MAGIL_MUSICIANS_GUILD_GM_HOLYSITE', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MUSICIAN', NULL, NULL),
	('MAGIL_MUSICIANS_GUILD_GM_HOLYSITE', 'Amount', '1', NULL, NULL),	

	('MAGIL_MUSICIANS_GUILD_GM_INDUSTRIALZONE', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MUSICIAN', NULL, NULL),
	('MAGIL_MUSICIANS_GUILD_GM_INDUSTRIALZONE', 'Amount', '1', NULL, NULL),	

	('MAGIL_MUSICIANS_GUILD_GM_COMMERCIALHUB', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MUSICIAN', NULL, NULL),
	('MAGIL_MUSICIANS_GUILD_GM_COMMERCIALHUB', 'Amount', '1', NULL, NULL),	

	('MAGIL_MUSICIANS_GUILD_GM_HARBOR', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MUSICIAN', NULL, NULL),
	('MAGIL_MUSICIANS_GUILD_GM_HARBOR', 'Amount', '1', NULL, NULL),	
--National Museum	
	('MAGIL_NATIONAL_MUSEUM_CULTURE_PERCENT', 'YieldType', 'YIELD_CULTURE', NULL, NULL),
	('MAGIL_NATIONAL_MUSEUM_CULTURE_PERCENT', 'Amount', '30', NULL, NULL),	

	('MAGIL_NATIONAL_MUSEUM_AUTO_THEME', 'BuildingType', 'BUILDING_MZ_NATIONAL_MUSEUM', NULL, NULL),	
--National Airport	
	('MAGIL_NATIONAL_AIRPORT_MODERN_ERA_TOURISM', 'Modifier', '100', NULL, NULL),	
	('MAGIL_NATIONAL_AIRPORT_MODERN_ERA_TOURISM', 'MinimumEra', 'ERA_MODERN', NULL, NULL),	
	('MAGIL_NATIONAL_AIRPORT_AERODROME_TOURISM', 'Amount', '25', NULL, NULL),	
--Industrial Zone wonders
	('MAGIL_NATIONAL_WORKSHOP_STRATEGIC_YIELD', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_NATIONAL_WORKSHOP_STRATEGIC_YIELD', 'Amount', '1', NULL, NULL),	
	
	('MAGIL_NATIONAL_FACTORY_PRODUCTION_PERCENT', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_NATIONAL_FACTORY_PRODUCTION_PERCENT', 'Amount', '30', NULL, NULL);	
	
INSERT INTO BuildingModifiers
	(BuildingType, ModifierId)
VALUES	
--Campus wonders
	('BUILDING_MZ_NATIONAL_LIBRARY', 'MAGIL_NATIONAL_LIBRARY_SCIENCE_PERCENT'),		
	('BUILDING_MZ_NATIONAL_COLLEGE', 'MAGIL_NATIONAL_COLLEGE_SCIENCE_PERCENT'),		
	('BUILDING_MZ_NATIONAL_COLLEGE', 'MAGIL_NATIONAL_COLLEGE_SCIENCE_FROM_CULTURE'),
	('BUILDING_MZ_NATIONAL_LAB', 'MAGIL_NATIONAL_LAB_SPACERACE_PRODUCTION'),		
	('BUILDING_MZ_NATIONAL_LAB', 'MAGIL_NATIONAL_LAB_BOOST1'),	
	('BUILDING_MZ_NATIONAL_LAB', 'MAGIL_NATIONAL_LAB_BOOST2'),		
--Holy Site wonders	
	('BUILDING_MZ_NATIONAL_SHRINE', 'MAGIL_NATIONAL_SHRINE_HOLYSITE_WITH_SHRINE_GOLD'),		
	('BUILDING_MZ_NATIONAL_SHRINE', 'MAGIL_NATIONAL_SHRINE_HOLYSITE_WITH_TEMPLE_GOLD'),		
	('BUILDING_MZ_NATIONAL_SHRINE', 'MAGIL_NATIONAL_SHRINE_HOLYSITE_WITH_WORSHIP_GOLD'),	
	
	('BUILDING_MZ_NATIONAL_TEMPLE', 'MAGIL_NATIONAL_TEMPLE_GW_HOLYSITE'),		
	('BUILDING_MZ_NATIONAL_TEMPLE', 'MAGIL_NATIONAL_TEMPLE_GA_SHRINE'),		
	('BUILDING_MZ_NATIONAL_TEMPLE', 'MAGIL_NATIONAL_TEMPLE_GM_TEMPLE'),
	('BUILDING_MZ_NATIONAL_TEMPLE', 'MAGIL_NATIONAL_TEMPLE_FAITH_PERCENT'),		
	
	('BUILDING_MZ_APOSTOLIC_PALACE', 'MAGIL_APOSTOLIC_PALACE_CITYCENTER_FAITH_PURCHASE'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'MAGIL_APOSTOLIC_PALACE_CAMPUS_FAITH_PURCHASE'),		
	('BUILDING_MZ_APOSTOLIC_PALACE', 'MAGIL_APOSTOLIC_PALACE_HOLYSITE_FAITH_PURCHASE'),		
	('BUILDING_MZ_APOSTOLIC_PALACE', 'MAGIL_APOSTOLIC_PALACE_THEATER_FAITH_PURCHASE'),		
	('BUILDING_MZ_APOSTOLIC_PALACE', 'MAGIL_APOSTOLIC_PALACE_ENCAMPMENT_FAITH_PURCHASE'),		
	('BUILDING_MZ_APOSTOLIC_PALACE', 'MAGIL_APOSTOLIC_PALACE_COMMERCIALHUB_FAITH_PURCHASE'),		
	('BUILDING_MZ_APOSTOLIC_PALACE', 'MAGIL_APOSTOLIC_PALACE_HARBOR_FAITH_PURCHASE'),		
	('BUILDING_MZ_APOSTOLIC_PALACE', 'MAGIL_APOSTOLIC_PALACE_INDUSTRIALZONE_FAITH_PURCHASE'),		
	('BUILDING_MZ_APOSTOLIC_PALACE', 'MAGIL_APOSTOLIC_PALACE_AERODOME_FAITH_PURCHASE'),		
	('BUILDING_MZ_APOSTOLIC_PALACE', 'MAGIL_APOSTOLIC_PALACE_NEIGHBORHOOD_FAITH_PURCHASE'),
	('BUILDING_MZ_APOSTOLIC_PALACE', 'MAGIL_APOSTOLIC_PALACE_ENTERTAINMENTCOMPLEX_FAITH_PURCHASE'),
	
	('BUILDING_MZ_APOSTOLIC_PALACE', 'CRISTOREDENTOR_FULLRELIGIOUSTOURISM'),		
	('BUILDING_MZ_APOSTOLIC_PALACE', 'MINOR_CIV_YEREVAN_APOSTLE_PROMOTION_BONUS'),
--Encampment wonders	
	('BUILDING_MZ_HEROIC_EPIC', 'MAGIL_HEROIC_EPIC_FREE_PROMOTION'),	
	('BUILDING_MZ_HEROIC_EPIC', 'MAGIL_HEROIC_EPIC_CULTURE_FROM_UNITS'),

	('BUILDING_MZ_NATIONAL_ARMORY', 'MAGIL_NATIONAL_ARMORY_PRODUCTION'),	
	('BUILDING_MZ_NATIONAL_ARMORY', 'MAGIL_NATIONAL_ARMORY_MAINT_REDUCTION'),		

	('BUILDING_MZ_NATIONAL_ACADEMY', 'MAGIL_NATIONAL_ACADEMY_ADJUST_COMBAT_STRENGTH'),	
	('BUILDING_MZ_NATIONAL_ACADEMY', 'MAGIL_NATIONAL_ACADEMY_UNIT_XP'),	
--National Epic
	('BUILDING_MZ_NATIONAL_EPIC', 'MAGIL_NATIONAL_EPIC_EXTRA_DISTRICT'),		
	('BUILDING_MZ_NATIONAL_EPIC', 'MAGIL_NATIONAL_EPIC_GREATGENERALPOINTS'),		
	('BUILDING_MZ_NATIONAL_EPIC', 'MAGIL_NATIONAL_EPIC_GREATADMIRALPOINTS'),
	('BUILDING_MZ_NATIONAL_EPIC', 'MAGIL_NATIONAL_EPIC_GREATENGINEERPOINTS'),		
	('BUILDING_MZ_NATIONAL_EPIC', 'MAGIL_NATIONAL_EPIC_GREATMERCHANTPOINTS'),		
	('BUILDING_MZ_NATIONAL_EPIC', 'MAGIL_NATIONAL_EPIC_GREATPROPHETPOINTS'),	
	('BUILDING_MZ_NATIONAL_EPIC', 'MAGIL_NATIONAL_EPIC_GREATSCIENTISTPOINTS'),	
	('BUILDING_MZ_NATIONAL_EPIC', 'MAGIL_NATIONAL_EPIC_GREATARTISTPOINTS'),	
	('BUILDING_MZ_NATIONAL_EPIC', 'MAGIL_NATIONAL_EPIC_GREATMUSICIANPOINTS'),	
--Commercial Hub wonders
	('BUILDING_MZ_NATIONAL_MARKET', 'MAGIL_NATIONAL_MARKET_YIELD_TO_INCOMING_TRADE'),		
	('BUILDING_MZ_NATIONAL_MARKET', 'MAGIL_NATIONAL_MARKET_YIELD_FROM_INCOMING_TRADE'),		
	('BUILDING_MZ_NATIONAL_MARKET', 'MAGIL_NATIONAL_MAKRET_ADD_TRADEROUTE'),
	('BUILDING_MZ_NATIONAL_MARKET', 'MAGIL_NATIONAL_MARKET_FREE_TRADER'),		
	('BUILDING_MZ_NATIONAL_MARKET', 'MAGIL_NATIONAL_MARKET_BONUS_YIELD'),		
	('BUILDING_MZ_NATIONAL_MARKET', 'MAGIL_NATIONAL_MARKET_LUXURY_YIELD'),	

	('BUILDING_MZ_NATIONAL_BANK', 'MAGIL_NATIONAL_BANK_GOLD_INTEREST'),		
	('BUILDING_MZ_NATIONAL_BANK', 'MAGIL_NATIONAL_BANK_GOLD_PERCENT'),	
--Writers Guild
	('BUILDING_MZ_WRITERS_GUILD', 'MAGIL_WRITERS_GUILD_GW_THEATER'),		
	('BUILDING_MZ_WRITERS_GUILD', 'MAGIL_WRITERS_GUILD_GW_CAMPUS'),		
	('BUILDING_MZ_WRITERS_GUILD', 'MAGIL_WRITERS_GUILD_GW_HARBOR'),
	('BUILDING_MZ_WRITERS_GUILD', 'MAGIL_WRITERS_GUILD_GW_ENCAMPMENT'),		
	('BUILDING_MZ_WRITERS_GUILD', 'MAGIL_WRITERS_GUILD_GW_COMMERCIALHUB'),		
	('BUILDING_MZ_WRITERS_GUILD', 'MAGIL_WRITERS_GUILD_GW_INDUSTRIALZONE'),	
	('BUILDING_MZ_WRITERS_GUILD', 'MAGIL_WRITERS_GUILD_GW_HOLYSITE'),	
--Artists Guild
	('BUILDING_MZ_ARTISTS_GUILD', 'MAGIL_ARTISTS_GUILD_GA_THEATER'),		
	('BUILDING_MZ_ARTISTS_GUILD', 'MAGIL_ARTISTS_GUILD_GA_CAMPUS'),		
	('BUILDING_MZ_ARTISTS_GUILD', 'MAGIL_ARTISTS_GUILD_GA_HARBOR'),
	('BUILDING_MZ_ARTISTS_GUILD', 'MAGIL_ARTISTS_GUILD_GA_ENCAMPMENT'),		
	('BUILDING_MZ_ARTISTS_GUILD', 'MAGIL_ARTISTS_GUILD_GA_COMMERCIALHUB'),		
	('BUILDING_MZ_ARTISTS_GUILD', 'MAGIL_ARTISTS_GUILD_GA_INDUSTRIALZONE'),	
	('BUILDING_MZ_ARTISTS_GUILD', 'MAGIL_ARTISTS_GUILD_GA_HOLYSITE'),	
--Musicians Guild
	('BUILDING_MZ_MUSICIANS_GUILD', 'MAGIL_MUSICIANS_GUILD_GM_THEATER'),		
	('BUILDING_MZ_MUSICIANS_GUILD', 'MAGIL_MUSICIANS_GUILD_GM_CAMPUS'),		
	('BUILDING_MZ_MUSICIANS_GUILD', 'MAGIL_MUSICIANS_GUILD_GM_HARBOR'),
	('BUILDING_MZ_MUSICIANS_GUILD', 'MAGIL_MUSICIANS_GUILD_GM_ENCAMPMENT'),		
	('BUILDING_MZ_MUSICIANS_GUILD', 'MAGIL_MUSICIANS_GUILD_GM_COMMERCIALHUB'),		
	('BUILDING_MZ_MUSICIANS_GUILD', 'MAGIL_MUSICIANS_GUILD_GM_INDUSTRIALZONE'),	
	('BUILDING_MZ_MUSICIANS_GUILD', 'MAGIL_MUSICIANS_GUILD_GM_HOLYSITE'),	
--National Museum	
	('BUILDING_MZ_NATIONAL_MUSEUM', 'MAGIL_NATIONAL_MUSEUM_CULTURE_PERCENT'),	
	('BUILDING_MZ_NATIONAL_MUSEUM', 'MAGIL_NATIONAL_MUSEUM_AUTO_THEME'),
--National Airport
	('BUILDING_MZ_NATIONAL_AIRPORT', 'MAGIL_NATIONAL_AIRPORT_MODERN_ERA_TOURISM'),	
	('BUILDING_MZ_NATIONAL_AIRPORT', 'MAGIL_NATIONAL_AIRPORT_AERODROME_TOURISM'),
--Industrial zone wonders
	('BUILDING_MZ_NATIONAL_FACTORY', 'MAGIL_NATIONAL_FACTORY_PRODUCTION_PERCENT'),	
	('BUILDING_MZ_NATIONAL_WORKSHOP', 'MAGIL_NATIONAL_WORKSHOP_STRATEGIC_YIELD');	

--Setting up Requirements	
INSERT INTO Requirements
	(RequirementId,	RequirementType,	Inverse)
VALUES	
	('MAGIL_REQUIRES_CITY_HAS_TEMPLE2', 'REQUIREMENT_REQUIREMENTSET_IS_MET', 0),	
	('MAGIL_REQUIRES_CITY_HAS_WORSHIP2', 'REQUIREMENT_REQUIREMENTSET_IS_MET', 0),	
	('MAGIL_REQUIRES_CITY_HAS_CATHEDRAL2', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_GURDWARA2', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_MEETINGHOUSE2', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_MOSQUE2', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_PAGODA2', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_SYNAGOGUE2', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_WAT2', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_STUPA2', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_DAREMEHR2', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_NATIONAL_MARKET', 'REQUIREMENT_CITY_HAS_BUILDING', 0),
	('MAGIL_REQUIRES_NATIONAL_MUSEUM', 'REQUIREMENT_CITY_HAS_BUILDING', 0),
	('MAGIL_REQUIRES_AERODROME', 'REQUIREMENT_DISTRICT_TYPE_MATCHES', 0);
	
INSERT INTO RequirementArguments
	(RequirementId,	Name,	Value,	Extra,	SecondExtra)
VALUES		
	('MAGIL_REQUIRES_AERODROME', 'DistrictType', 'DISTRICT_AERODROME', NULL, NULL),			
	('MAGIL_REQUIRES_CITY_HAS_TEMPLE2', 'RequirementSetId', 'MAGIL_CITY_HAS_TEMPLE_REQUIREMENTSET2', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_WORSHIP2', 'RequirementSetId', 'MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET2', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_CATHEDRAL2', 'BuildingType', 'BUILDING_CATHEDRAL', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_GURDWARA2', 'BuildingType', 'BUILDING_GURDWARA', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_MEETINGHOUSE2', 'BuildingType', 'BUILDING_MEETING_HOUSE', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_MOSQUE2', 'BuildingType', 'BUILDING_MOSQUE', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_PAGODA2', 'BuildingType', 'BUILDING_PAGODA', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_SYNAGOGUE2', 'BuildingType', 'BUILDING_SYNAGOGUE', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_WAT2', 'BuildingType', 'BUILDING_WAT', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_STUPA2', 'BuildingType', 'BUILDING_STUPA', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_DAREMEHR2', 'BuildingType', 'BUILDING_DAR_E_MEHR', NULL, NULL),	
	('MAGIL_REQUIRES_NATIONAL_MARKET', 'BuildingType', 'BUILDING_MZ_NATIONAL_MARKET', NULL, NULL),	
	('MAGIL_REQUIRES_NATIONAL_MUSEUM', 'BuildingType', 'BUILDING_MZ_NATIONAL_MUSEUM', NULL, NULL);

INSERT INTO RequirementSets
	(RequirementSetId,	RequirementSetType)
VALUES	
	('MAGIL_REQUIRES_BONUS_RESOURCE', 'REQUIREMENTSET_TEST_ALL'),
	('MAGIL_REQUIRES_LUXURY_RESOURCE', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_REQUIRES_NATIONAL_MARKET_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_REQUIRES_STRATEGIC_RESOURCE', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_REQUIRES_NATIONAL_MUSEUM_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_DISTRICT_IS_AERODROME', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_SHRINE2', 'REQUIREMENTSET_TEST_ALL'),
	('MAGIL_CITY_HAS_SHRINE_REQUIREMENTSET2', 'REQUIREMENTSET_TEST_ANY'),		
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_TEMPLE2', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_CITY_HAS_TEMPLE_REQUIREMENTSET2', 'REQUIREMENTSET_TEST_ANY'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_WORSHIP2', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET2', 'REQUIREMENTSET_TEST_ANY');
	
INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	
	('MAGIL_REQUIRES_BONUS_RESOURCE', 'REQUIRES_PLOT_HAS_BONUS'),	
	('MAGIL_REQUIRES_LUXURY_RESOURCE', 'REQUIRES_PLOT_HAS_LUXURY'),	
	('MAGIL_REQUIRES_STRATEGIC_RESOURCE', 'REQUIRES_PLOT_HAS_STRATEGIC'),	
	('MAGIL_REQUIRES_NATIONAL_MARKET_REQUIREMENTS', 'MAGIL_REQUIRES_NATIONAL_MARKET'),	
	('MAGIL_REQUIRES_NATIONAL_MUSEUM_REQUIREMENTS', 'MAGIL_REQUIRES_NATIONAL_MUSEUM'),	
	('MAGIL_DISTRICT_IS_AERODROME', 'MAGIL_REQUIRES_AERODROME'),		
	('MAGIL_CITY_HAS_SHRINE_REQUIREMENTSET2', 'REQUIRES_CITY_HAS_SHRINE'),		
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_SHRINE2', 'REQUIRES_DISTRICT_IS_HOLY_SITE'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_SHRINE2', 'REQUIRES_CITY_HAS_SHRINE'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_TEMPLE2', 'REQUIRES_DISTRICT_IS_HOLY_SITE'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_TEMPLE2', 'MAGIL_REQUIRES_CITY_HAS_TEMPLE2'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_WORSHIP2', 'REQUIRES_DISTRICT_IS_HOLY_SITE'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_WORSHIP2', 'MAGIL_REQUIRES_CITY_HAS_WORSHIP2'),	
	('MAGIL_CITY_HAS_TEMPLE_REQUIREMENTSET2', 'REQUIRES_CITY_HAS_TEMPLE'),	
	('MAGIL_CITY_HAS_TEMPLE_REQUIREMENTSET2', 'REQUIRES_CITY_HAS_STAVE'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET2', 'MAGIL_REQUIRES_CITY_HAS_CATHEDRAL2'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET2', 'MAGIL_REQUIRES_CITY_HAS_GURDWARA2'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET2', 'MAGIL_REQUIRES_CITY_HAS_MEETINGHOUSE2'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET2', 'MAGIL_REQUIRES_CITY_HAS_MOSQUE2'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET2', 'MAGIL_REQUIRES_CITY_HAS_PAGODA2'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET2', 'MAGIL_REQUIRES_CITY_HAS_SYNAGOGUE2'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET2', 'MAGIL_REQUIRES_CITY_HAS_WAT2'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET2', 'MAGIL_REQUIRES_CITY_HAS_DAREMEHR2'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET2', 'MAGIL_REQUIRES_CITY_HAS_STUPA2');
	
/* Used to control float text and whether or not the abiltiy starts active, as far as I can tell. 
By setting Inactive=true, we can make certain that it only applies when the associated modifier fires. When Inactive=false, every unit of the proper class will have the ability	*/
INSERT INTO UnitAbilities
	(UnitAbilityType,	Name,	Description,	Inactive,	ShowFloatTextWhenEarned)
VALUES	
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'LOC_MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY_NAME', 'LOC_MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY_DESCRIPTION', 1, 0),
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'LOC_MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY_NAME', 'LOC_MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY_DESCRIPTION', 1, 0);	
	
--The modifiers actually define what the abilities do. Not sure what the difference between applying an ability to a unit or a modifier to a unit in this case.
INSERT INTO UnitAbilityModifiers
	(UnitAbilityType,	ModifierId)
VALUES	
	('MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY', 'MAGIL_NATIONAL_ACADEMY_ADJUST_COMBAT_STRENGTH_MODIFIER'),		
	('MAGIL_HEROIC_EPIC_FREE_XP_ABILITY', 'MAGIL_HEROIC_EPIC_FREE_PROMOTION_MODIFIER');

--Modifier Strings: This is for Preview Text or Context Text	
INSERT INTO ModifierStrings
	(ModifierId,	Context,	Text)
VALUES	
	('MAGIL_HEROIC_EPIC_FREE_PROMOTION_MODIFIER', 'Preview', 'Placeholder'),	
	('MAGIL_NATIONAL_ACADEMY_ADJUST_COMBAT_STRENGTH_MODIFIER', 'Preview', 'LOC_MAGIL_NATIONAL_ACADEMY_COMBAT_BONUS_ABILITY_PREVIEWTEXT');	

--Dynamic modifiers, these are brand-new modifiers which have their base effects altered in some way
INSERT INTO DynamicModifiers
	(ModifierType,	CollectionType,	EffectType)
VALUES	
	('MAGIL_MODIFIER_PLAYER_CITY_ADJUST_MILITARY_UNITS_PRODUCTION', 'COLLECTION_OWNER', 'EFFECT_ADJUST_CITY_ALL_MILITARY_UNITS_PRODUCTION'),
	('MAGIL_MODIFIER_SINGLE_CITY_ADJUST_DISTRICT_TOURISM', 'COLLECTION_CITY_DISTRICTS', 'EFFECT_ADJUST_DISTRICT_TOURISM_CHANGE');