-- delete national wonders on city transfer, from Serp/LeeS
local nationaltypes = {"BUILDING_MZ_NATIONAL_LIBRARY","BUILDING_MZ_NATIONAL_COLLEGE","BUILDING_MZ_NATIONAL_SHRINE","BUILDING_MZ_NATIONAL_TEMPLE","BUILDING_MZ_HEROIC_EPIC","BUILDING_MZ_NATIONAL_ACADEMY","BUILDING_MZ_NATIONAL_EPIC","BUILDING_MZ_NATIONAL_ARMORY","BUILDING_MZ_APOSTOLIC_PALACE","BUILDING_MZ_NATIONAL_MARKET","BUILDING_MZ_NATIONAL_BANK","BUILDING_MZ_WRITERS_GUILD","BUILDING_MZ_ARTISTS_GUILD","BUILDING_MZ_MUSICIANS_GUILD","BUILDING_MZ_NATIONAL_MUSEUM","BUILDING_MZ_NATIONAL_LAB","BUILDING_MZ_NATIONAL_AIRPORT","BUILDING_MZ_NATIONAL_ARENA","BUILDING_MZ_NATIONAL_ZOO","BUILDING_MZ_NATIONAL_WORKSHOP","BUILDING_MZ_NATIONAL_FACTORY"}
local function OnCityTransfered(playerID,cityID) -- playerID is the new owner
    local pPlayer = Players[playerID];
    if pPlayer~=nil then
        local playercities = pPlayer:GetCities();
        local pCity = playercities:FindID( cityID );
        if pCity~=nil then
            local citybuildings = pCity:GetBuildings();
            for _,nationaltype in ipairs(nationaltypes) do
				local tNationalRowData = GameInfo.Buildings[nationaltype]
				if tNationalRowData ~= nil then
					local natioanlID = tNationalRowData.Index
					local nationalName = Locale.Lookup(tNationalRowData.Name)
					if citybuildings:HasBuilding(natioanlID) then
						print("DeleteNational: City transfered, delete found national wonder " .. nationalName)
						citybuildings:RemoveBuilding(natioanlID);
						if pPlayer:IsHuman() then
							local sText = nationalName .. " [COLOR_Civ6Red]destroyed![ENDCOLOR]"
							Game.AddWorldViewText(EventSubTypes.DAMAGE, sText, pCity:GetX(), pCity:GetY(), 0)
						end
					end
				end
			end
        end
    end
end

Events.CityTransfered.Add(OnCityTransfered);