UPDATE Buildings SET RegionalRange='9' WHERE BuildingType='BUILDING_GOLDEN_GATE_BRIDGE';

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES
	--Hagia Sophia
	('MAGIL_HAGIA_SOPHIA_HOLYSITE_GPP', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 'MAGIL_CITY_HAS_HOLYSITE_REQUIREMENTS'),			
	('MAGIL_HAGIA_SOPHIA_HOLYSITE_GPP_MODIFIER', 'MODIFIER_CITY_INCREASE_GREAT_PERSON_POINT_BONUS', 0, 0, NULL, NULL),			
	
	--Országház
	('MAGIL_ORSZAGHAZ_ENVOY_GOLD', 'MODIFIER_PLAYER_ADJUST_YIELD_CHANGE_PER_USED_INFLUENCE_TOKEN', 0, 0, NULL, NULL),
	('MAGIL_ORSZAGHAZ_ENVOY_FAITH', 'MODIFIER_PLAYER_ADJUST_YIELD_CHANGE_PER_USED_INFLUENCE_TOKEN', 0, 0, NULL, NULL),
	('MAGIL_ORSZAGHAZ_ENVOY_CULTURE', 'MODIFIER_PLAYER_ADJUST_YIELD_CHANGE_PER_USED_INFLUENCE_TOKEN', 0, 0, NULL, NULL),
	('MAGIL_ORSZAGHAZ_ENVOY_SCIENCE', 'MODIFIER_PLAYER_ADJUST_YIELD_CHANGE_PER_USED_INFLUENCE_TOKEN', 0, 0, NULL, NULL),
	
	--Great Bath
	('MAGIL_GREAT_BATH_FLOODPLAIN_APPEAL', 'MODIFIER_PLAYER_CITIES_ADJUST_FEATURE_APPEAL_MODIFIER', 0, 0, NULL, NULL),
	('MAGIL_GREAT_BATH_FLOODPLAIN_GRASSLAND_APPEAL', 'MODIFIER_PLAYER_CITIES_ADJUST_FEATURE_APPEAL_MODIFIER', 0, 0, NULL, NULL),
	('MAGIL_GREAT_BATH_FLOODPLAIN_PLAINS_APPEAL', 'MODIFIER_PLAYER_CITIES_ADJUST_FEATURE_APPEAL_MODIFIER', 0, 0, NULL, NULL),
	('MAGIL_GREAT_BATH_FLOODPLAIN_FAITH', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL),		

	--Golden Gate Bridge
	('MAGIL_GOLDEN_GATE_NATIONAL_PARK_APPEAL', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL),		
	('MAGIL_GOLDEN_GATE_FREE_BUILDERS', 'MAGIL_MODIFIER_PLAYER_CITIES_GRANT_UNIT', 0, 0, NULL, NULL),		
	
	--Panama Canal
	('MAGIL_PANAMA_CANAL_TRADE_ROUTE_CAPACITY', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, NULL),
	('MAGIL_PANAMA_CANAL_TRADE_ROUTE_GOLD', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_FOR_INTERNATIONAL', 0, 0, NULL, NULL),
	('MAGIL_PANAMA_CANAL_TRADE_ROUTE_PRODUCTION', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_FOR_INTERNATIONAL', 0, 0, NULL, NULL);
	
INSERT INTO ModifierArguments
	(ModifierId, Name, Value, Extra, SecondExtra)
VALUES	
	--Hagia Sophia
	('MAGIL_HAGIA_SOPHIA_HOLYSITE_GPP', 'ModifierId', 'MAGIL_HAGIA_SOPHIA_HOLYSITE_GPP_MODIFIER', NULL, NULL),		
	('MAGIL_HAGIA_SOPHIA_HOLYSITE_GPP_MODIFIER', 'Amount', '25', NULL, NULL),

	--Országház
	('MAGIL_ORSZAGHAZ_ENVOY_GOLD', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_ORSZAGHAZ_ENVOY_GOLD', 'Amount', '1', NULL, NULL),
	('MAGIL_ORSZAGHAZ_ENVOY_FAITH', 'YieldType', 'YIELD_FAITH', NULL, NULL),
	('MAGIL_ORSZAGHAZ_ENVOY_FAITH', 'Amount', '1', NULL, NULL),
	('MAGIL_ORSZAGHAZ_ENVOY_CULTURE', 'YieldType', 'YIELD_CULTURE', NULL, NULL),
	('MAGIL_ORSZAGHAZ_ENVOY_CULTURE', 'Amount', '1', NULL, NULL),
	('MAGIL_ORSZAGHAZ_ENVOY_SCIENCE', 'YieldType', 'YIELD_SCIENCE', NULL, NULL),
	('MAGIL_ORSZAGHAZ_ENVOY_SCIENCE', 'Amount', '1', NULL, NULL),
	
	--Great Bath
	('MAGIL_GREAT_BATH_FLOODPLAIN_APPEAL', 'FeatureType', 'FEATURE_FLOODPLAINS', NULL, NULL),
	('MAGIL_GREAT_BATH_FLOODPLAIN_APPEAL', 'Amount', '2', NULL, NULL),
	('MAGIL_GREAT_BATH_FLOODPLAIN_GRASSLAND_APPEAL', 'FeatureType', 'FEATURE_FLOODPLAINS_GRASSLAND', NULL, NULL),
	('MAGIL_GREAT_BATH_FLOODPLAIN_GRASSLAND_APPEAL', 'Amount', '2', NULL, NULL),
	('MAGIL_GREAT_BATH_FLOODPLAIN_PLAINS_APPEAL', 'FeatureType', 'FEATURE_FLOODPLAINS_PLAINS', NULL, NULL),
	('MAGIL_GREAT_BATH_FLOODPLAIN_PLAINS_APPEAL', 'Amount', '2', NULL, NULL),
	('MAGIL_GREAT_BATH_FLOODPLAIN_FAITH', 'ModifierId', 'GREATBATH_FLOODFAITH', NULL, NULL),		
	
	--Golden Gate Bridge
	('MAGIL_GOLDEN_GATE_NATIONAL_PARK_APPEAL', 'ModifierId', 'GOLDENGATE_NATIONAL_PARK_TOURISM', NULL, NULL),		
	('MAGIL_GOLDEN_GATE_FREE_BUILDERS', 'UnitType', 'UNIT_BUILDER', NULL, NULL),		
	('MAGIL_GOLDEN_GATE_FREE_BUILDERS', 'Amount', '1', NULL, NULL),

	--Panama Canal
	('MAGIL_PANAMA_CANAL_TRADE_ROUTE_CAPACITY', 'Amount', '4', NULL, NULL),
	('MAGIL_PANAMA_CANAL_TRADE_ROUTE_GOLD', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_PANAMA_CANAL_TRADE_ROUTE_GOLD', 'Amount', '5', NULL, NULL),
	('MAGIL_PANAMA_CANAL_TRADE_ROUTE_GOLD', 'Intercontinental', 0, NULL, NULL),	
	('MAGIL_PANAMA_CANAL_TRADE_ROUTE_PRODUCTION', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_PANAMA_CANAL_TRADE_ROUTE_PRODUCTION', 'Amount', '2', NULL, NULL),
	('MAGIL_PANAMA_CANAL_TRADE_ROUTE_PRODUCTION', 'Intercontinental', 0, NULL, NULL);	

INSERT INTO BuildingModifiers
	(BuildingType, ModifierId)
VALUES	
	--Hagia Sophia
	('BUILDING_HAGIA_SOPHIA', 'MAGIL_HAGIA_SOPHIA_HOLYSITE_GPP'),

	--Országház
	('BUILDING_ORSZAGHAZ', 'MAGIL_ORSZAGHAZ_ENVOY_GOLD'),
	('BUILDING_ORSZAGHAZ', 'MAGIL_ORSZAGHAZ_ENVOY_FAITH'),
	('BUILDING_ORSZAGHAZ', 'MAGIL_ORSZAGHAZ_ENVOY_CULTURE'),
	('BUILDING_ORSZAGHAZ', 'MAGIL_ORSZAGHAZ_ENVOY_SCIENCE'),
	
	--Great Bath
	('BUILDING_GREAT_BATH', 'MAGIL_GREAT_BATH_FLOODPLAIN_APPEAL'),
	('BUILDING_GREAT_BATH', 'MAGIL_GREAT_BATH_FLOODPLAIN_GRASSLAND_APPEAL'),
	('BUILDING_GREAT_BATH', 'MAGIL_GREAT_BATH_FLOODPLAIN_PLAINS_APPEAL'),
	
	--Golden Gate Bridge
	('BUILDING_GOLDEN_GATE_BRIDGE', 'MAGIL_GOLDEN_GATE_FREE_BUILDERS'),
	
	--Panama Canal
	('BUILDING_PANAMA_CANAL', 'MAGIL_PANAMA_CANAL_TRADE_ROUTE_CAPACITY'),
	('BUILDING_PANAMA_CANAL', 'MAGIL_PANAMA_CANAL_TRADE_ROUTE_GOLD'),
	('BUILDING_PANAMA_CANAL', 'MAGIL_PANAMA_CANAL_TRADE_ROUTE_PRODUCTION');

--Updating and Deleting Other Modifiers
UPDATE BuildingModifiers SET ModifierId='MAGIL_GREAT_BATH_FLOODPLAIN_FAITH' WHERE BuildingType='BUILDING_GREAT_BATH' AND ModifierId='GREATBATH_FLOODFAITH';
UPDATE BuildingModifiers SET ModifierId='MAGIL_GOLDEN_GATE_NATIONAL_PARK_APPEAL' WHERE BuildingType='BUILDING_GOLDEN_GATE_BRIDGE' AND ModifierId='GOLDENGATE_NATIONAL_PARK_TOURISM';

--Hagia Sophia Science Bonus moved to University of Sankore
UPDATE BuildingModifiers SET BuildingType='BUILDING_UNIVERSITY_SANKORE' WHERE BuildingType='BUILDING_HAGIA_SOPHIA' AND ModifierId='MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_SHRINE_SCIENCE';
UPDATE BuildingModifiers SET BuildingType='BUILDING_UNIVERSITY_SANKORE' WHERE BuildingType='BUILDING_HAGIA_SOPHIA' AND ModifierId='MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_TEMPLE_SCIENCE';
UPDATE BuildingModifiers SET BuildingType='BUILDING_UNIVERSITY_SANKORE' WHERE BuildingType='BUILDING_HAGIA_SOPHIA' AND ModifierId='MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_WORSHIP_SCIENCE';

--RequirementSets
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES ('MAGIL_CITY_HAS_HOLYSITE_REQUIREMENTS', 'REQUIREMENTSET_TEST_ANY');
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES ('MAGIL_CITY_HAS_HOLYSITE_REQUIREMENTS', 'REQUIRES_CITY_HAS_HOLY_SITE');
	
--Dynamic modifiers, these are brand-new modifiers which have their base effects altered in some way
INSERT INTO Types (Type, Kind) VALUES ('MAGIL_MODIFIER_PLAYER_CITIES_GRANT_UNIT', 'KIND_MODIFIER');
INSERT INTO DynamicModifiers (ModifierType,	CollectionType,	EffectType) VALUES ('MAGIL_MODIFIER_PLAYER_CITIES_GRANT_UNIT', 'COLLECTION_PLAYER_CITIES', 'EFFECT_GRANT_UNIT_IN_CITY');	