--This file contains all changes related to vanilla world wonders. They may be altered by files later in the load order dependent on enabled expansions.

--Buildings
UPDATE Buildings SET AdjacentResource=NULL WHERE BuildingType='BUILDING_GREAT_ZIMBABWE' AND AdjacentResource='RESOURCE_CATTLE';
UPDATE Buildings SET RegionalRange='6' WHERE BuildingType='BUILDING_FORBIDDEN_CITY';
UPDATE Buildings SET RegionalRange='6' WHERE BuildingType='BUILDING_BOLSHOI_THEATRE';
UPDATE Buildings SET Entertainment='3' WHERE BuildingType='BUILDING_BOLSHOI_THEATRE';
UPDATE Buildings SET Entertainment='3' WHERE BuildingType='BUILDING_ESTADIO_DO_MARACANA';

--BuildingYieldChanges
INSERT INTO Building_YieldChanges 
	(BuildingType, YieldType, YieldChange)
VALUES	
	('BUILDING_ALHAMBRA', 'YIELD_CULTURE', '4'),
	('BUILDING_OXFORD_UNIVERSITY', 'YIELD_CULTURE', '3');

DELETE FROM Building_YieldChanges WHERE BuildingType='BUILDING_STONEHENGE' AND YieldType='YIELD_FAITH';
DELETE FROM Building_YieldChanges WHERE BuildingType='BUILDING_POTALA_PALACE' AND YieldType='YIELD_FAITH';

UPDATE Building_YieldChanges SET YieldChange='3' WHERE BuildingType='BUILDING_FORBIDDEN_CITY' AND YieldType='YIELD_CULTURE';
UPDATE Building_YieldChanges SET YieldChange='4' WHERE BuildingType='BUILDING_ORACLE' AND YieldType='YIELD_CULTURE';
UPDATE Building_YieldChanges SET YieldChange='4' WHERE BuildingType='BUILDING_ORACLE' AND YieldType='YIELD_FAITH';

--BuildingGreatWorks
INSERT INTO Building_GreatWorks 
	(BuildingType, GreatWorkSlotType, NumSlots)
VALUES	
	('BUILDING_MAHABODHI_TEMPLE', 'GREATWORKSLOT_RELIC', '1'),
	('BUILDING_HAGIA_SOPHIA', 'GREATWORKSLOT_RELIC', '2'),
	('BUILDING_CHICHEN_ITZA', 'GREATWORKSLOT_RELIC', '1'),
	('BUILDING_FORBIDDEN_CITY', 'GREATWORKSLOT_PALACE', '1'),
	('BUILDING_CRISTO_REDENTOR', 'GREATWORKSLOT_RELIC', '3');
	
--Modifiers
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	
	--Stonehenge
	('MAGIL_STONEHENGE_FREE_MONUMENT', 'MODIFIER_PLAYER_CITIES_GRANT_CHEAPEST_BUILDING_IN_CITY', 0, 0, NULL, NULL),
	('MAGIL_STONEHENGE_CITYCENTER_FAITH', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_CITYCENTER_WITH_MONUMENT'),
	--Hanging Gardens
	('MAGIL_HANGING_GARDENS_FRESHWATER_BONUS', 'MODIFIER_PLAYER_GRANT_CITIES_FRESHWATER_HOUSING_BONUS', 0, 0, NULL, NULL),
	--Great Lighthouse
	('MAGIL_GREAT_LIGHTHOUSE_OCEAN_NAVIGATION', 'MODIFIER_PLAYER_UNITS_ADJUST_VALID_TERRAIN', 0, 0, NULL, NULL),
	('MAGIL_GREAT_LIGHTHOUSE_HARBOR_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_DISTRICT_PRODUCTION', 0, 0, NULL, NULL),
	('MAGIL_GREAT_LIGHTHOUSE_LIGHTHOUSE_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 0, 0, NULL, NULL),
	('MAGIL_GREAT_LIGHTHOUSE_SHIPYARD_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 0, 0, NULL, NULL),
	('MAGIL_GREAT_LIGHTHOUSE_SEAPORT_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 0, 0, NULL, NULL),
	('MAGIL_GREAT_LIGHTHOUSE_ATTACH_ABILITY', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', 0, 1, NULL, NULL),
	--Colossus
	('MAGIL_COLOSSUS_TRADEROUTE_YIELD', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD', 0, 0, NULL, NULL),
	('MAGIL_COLOSSUS_TRADEROUTE_INTERCONTINENTAL_OTHERS_YIELD', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_FOR_INTERNATIONAL', 0, 0, NULL, NULL),
	('MAGIL_COLOSSUS_TRADEROUTE_INTERCONTINENTAL_DOMESTIC_YIELD', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_FOR_DOMESTIC', 0, 0, NULL, NULL),
	--Great Library
	('MAGIL_GREAT_LIBRARY_GREATWORK_BUFF', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL),
	('MAGIL_GREAT_LIBRARY_GREATWORK_BUFF_MODIFIER', 'MODIFIER_SINGLE_CITY_ADJUST_GREATWORK_YIELD', 0, 0, NULL, NULL),
	('MAGIL_GREAT_LIBRARY_FREE_WRITER', 'MODIFIER_SINGLE_CITY_GRANT_GREAT_PERSON_CLASS_IN_CITY', 1, 1, NULL, NULL),
	('MAGIL_GREAT_LIBRARYGWPOINTS', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 'MAGIL_REQUIRES_LIBRARY_REQUIREMENTS'),
	('MAGIL_GREAT_LIBRARYGWPOINTS_MODIFIER', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_CAMPUS'),	
	--Mahabodhi Temple
	('MAGIL_MAHABODHI_TEMPLE_WOODS_FAITH', 'MODIFIER_ALL_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 'MAGIL_CITY_HAS_MAHABODHI_TEMPLE_REQUIREMENTS'),	
	('MAGIL_MAHABODHI_TEMPLE_WOODS_FAITH_MODIFIER', 'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD', 0, 0, NULL, 'MAGIL_PLOT_HAS_WOODS_REQUIREMENTS'),	
	('MAGIL_MAHABODHI_TEMPLE_WOODS_FOOD', 'MODIFIER_ALL_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 'MAGIL_CITY_HAS_MAHABODHI_TEMPLE_REQUIREMENTS'),	
	('MAGIL_MAHABODHI_TEMPLE_WOODS_FOOD_MODIFIER', 'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD', 0, 0, NULL, 'MAGIL_PLOT_HAS_WOODS_REQUIREMENTS'),		
	
	('MAGIL_MAHABODHI_TEMPLE_HOLYSITE_WITH_SHRINE_PRODUCTION', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_SHRINE'),		
	('MAGIL_MAHABODHI_TEMPLE_HOLYSITE_WITH_TEMPLE_PRODUCTION', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_TEMPLE'),		
	('MAGIL_MAHABODHI_TEMPLE_HOLYSITE_WITH_WORSHIP_PRODUCTION', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_WORSHIP'),	
	--Terracotta Army
	('MAGIL_TERRACOTTA_ARMY_EXTRA_RECON_UNIT', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_MELEE_UNIT', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_RANGED_UNIT', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_SIEGE_UNIT', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_HEAVY_CAVALRY_UNIT', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_LIGHT_CAVALRY_UNIT', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_ANTI_CAVALRY_UNIT', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_RANGED_CAVALRY_UNIT', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_LIGHT_CHARIOT_UNIT', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_HEAVY_CHARIOT_UNIT', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	--Hagia Sophia
	('MAGIL_HAGIA_SOPHIA_FAITH_BONUS', 'MODIFIER_SINGLE_CITY_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, NULL),	
	
	('MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_SHRINE_SCIENCE', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_SHRINE'),		
	('MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_TEMPLE_SCIENCE', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_TEMPLE'),		
	('MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_WORSHIP_SCIENCE', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_WORSHIP'),			
	--Alhambra
	('MAGIL_ALHAMBRA_GG_POINTS_ON_KILL', 'MODIFIER_PLAYER_UNIT_ADJUST_GREAT_PEOPLE_POINTS_PER_KILL', 0, 0, NULL, NULL),
	('MAGIL_ALHAMBRA_ATTACH_ABILITY', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', 0, 1, NULL, NULL),
	--Chichen Itza
	('MAGIL_CHICHEN_ITZA_FAITH_BOOST', 'MODIFIER_PLAYER_GRANT_YIELD_BASED_ON_CURRENT_YIELD_RATE', 1, 1, NULL, NULL),	
	--Mont St. Michel
	('MAGIL_MONT_ST_MICHEL_BONUS_MODIFIER', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 0, 0, NULL, NULL),	
	('MAGIL_MONT_ST_MICHEL_ATTACH_ABILITY', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', 0, 1, NULL, NULL),	
	
	('MAGIL_MONT_ST_MICHEL_HOLYSITE_WITH_SHRINE_CULTURE', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_SHRINE'),		
	('MAGIL_MONT_ST_MICHEL_HOLYSITE_WITH_TEMPLE_CULTURE', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_TEMPLE'),		
	('MAGIL_MONT_ST_MICHEL_HOLYSITE_WITH_WORSHIP_CULTURE', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_WORSHIP'),
	--Potala Palace
	('MAGIL_POTALA_PALACE_HOLYSITE_WITH_SHRINE_FAITH', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_SHRINE'),		
	('MAGIL_POTALA_PALACE_HOLYSITE_WITH_TEMPLE_FAITH', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_TEMPLE'),		
	('MAGIL_POTALA_PALACE_HOLYSITE_WITH_WORSHIP_FAITH', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_CHANGE', 0, 0, NULL, 'MAGIL_DISTRICT_IS_HOLY_SITE_WITH_WORSHIP'),		
	--Venetian Arsenal
	('MAGIL_VENETIAN_ARSENAL_EXTRA_NAVALMELEE', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	('MAGIL_VENETIAN_ARSENAL_EXTRA_NAVALRANGED', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	('MAGIL_VENETIAN_ARSENAL_EXTRA_NAVALCARRIER', 'MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 0, 0, NULL, NULL),
	('MAGIL_VENETIAN_ARSENAL_PRODUCTION_BONUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, 'PLOT_IS_OR_ADJACENT_TO_COAST'),
	('MAGIL_VENETIAN_ARSENAL_COASTAL_PRODUCTION', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 0, 0, NULL, 'MAGIL_PLOT_IS_TERRAIN_COAST_REQUIREMENTS'),
	--Hermitage
	('MAGIL_HERMITAGE_MUSEUM_AUTO_THEME', 'MODIFIER_PLAYER_ADJUST_AUTO_THEMED_BUILDING', 0, 0, NULL, NULL),
	--Eiffel Tower
	('MAGIL_EIFFEL_TOWER_WONDER_TOURISM', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TOURISM_CHANGE', 0, 1, NULL, 'MAGIL_DISTRICT_IS_WONDER_REQUIREMENTS'),
	--Broadway
	('MAGIL_BROADWAY_GREATMERCHANT', 'MODIFIER_PLAYER_ADJUST_GREAT_PERSON_POINTS_PERCENT', 0, 0, NULL, NULL),
	('MAGIL_BROADWAY_GREATWRITER', 'MODIFIER_PLAYER_ADJUST_GREAT_PERSON_POINTS_PERCENT', 0, 0, NULL, NULL),
	('MAGIL_BROADWAY_GREATARTIST', 'MODIFIER_PLAYER_ADJUST_GREAT_PERSON_POINTS_PERCENT', 0, 0, NULL, NULL),
	('MAGIL_BROADWAY_GREATMUSICIAN', 'MODIFIER_PLAYER_ADJUST_GREAT_PERSON_POINTS_PERCENT', 0, 0, NULL, NULL),	
	--Cristo Redentor
	('MAGIL_CRISTO_REDENTOR_HOLYSITE_TOURISM', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TOURISM_CHANGE', 0, 1, NULL, 'DISTRICT_IS_HOLY_SITE'),		
	--Sydney Opera House
	('MAGIL_SYDNEY_OPERA_HOUSE_THEATER_TOURISM', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TOURISM_CHANGE', 0, 1, NULL, 'MAGIL_DISTRICT_IS_THEATER_WITH_BROADCAST_REQUIREMENTS'),
	('MAGIL_SYDNEY_OPERA_INCREASED_TOURISM', 'MODIFIER_PLAYER_ADJUST_TOURISM', 0, 0, NULL, NULL),	
	--Ruhr Valley
	('MAGIL_RUHR_VALLEY_MINE_PRODUCTION', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 0, 0, NULL, 'MAGIL_PLOT_HAS_RIVER_MINE_REQUIREMENTS'),	
	('MAGIL_RUHR_VALLEY_QUARRY_PRODUCTION', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 0, 0, NULL, 'MAGIL_PLOT_HAS_RIVER_QUARRY_REQUIREMENTS'),	
	('MAGIL_RUHR_VALLEY_LUMBERMILL_PRODUCTION', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 0, 0, NULL, 'MAGIL_PLOT_HAS_RIVER_LUMBERMILL_REQUIREMENTS'),	
	--Great Zimbabwe
	('MAGIL_GREAT_ZIMBABWE_GOLD_PER_DOMESTIC_POST', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_PER_POST_IN_OWN_CITY', 0, 0, NULL, NULL),	
	('MAGIL_GREAT_ZIMBABWE_GOLD_PER_FOREIGN_POST', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_PER_POST_IN_FOREIGN_CITY', 0, 0, NULL, NULL),	
	--Estadio do Maracana
	('MAGIL_ESTADIO_DO_MARACANA_DISTRICTPROJECT_BONUS', 'MODIFIER_PLAYER_CITIES_ADJUST_ALL_PROJECTS_PRODUCTION', 0, 0, NULL, NULL),	
	
	--DLC WONDERS
	--Huey Teocali
	('MAGIL_HUEY_HOLYSITE', 'MODIFIER_PLAYER_CITIES_TERRAIN_ADJACENCY', 0, 0, NULL, NULL),	
	('MAGIL_HUEY_CAMPUS', 'MODIFIER_PLAYER_CITIES_TERRAIN_ADJACENCY', 0, 0, NULL, NULL),	
	('MAGIL_HUEY_COMMERCIALHUB', 'MODIFIER_PLAYER_CITIES_TERRAIN_ADJACENCY', 0, 0, NULL, NULL),	
	('MAGIL_HUEY_THEATER', 'MODIFIER_PLAYER_CITIES_TERRAIN_ADJACENCY', 0, 0, NULL, NULL),	
	('MAGIL_HUEY_INDUSTRIALZONE', 'MODIFIER_PLAYER_CITIES_TERRAIN_ADJACENCY', 0, 0, NULL, NULL),		
	--Apadana
	('MAGIL_APADANA_AWARD_WONDER_INFLUENCE_TOKEN', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL),		
	('MAGIL_APADANA_AWARD_WONDER_INFLUENCE_TOKEN_MODIFIER', 'MODIFIER_PLAYER_GRANT_INFLUENCE_TOKEN_FROM_CITY_WONDER', 0, 0, NULL, NULL),		
	('MAGIL_APADANA_AWARD_EXTRA_INFLUENCE_TOKEN', 'MODIFIER_PLAYER_GRANT_INFLUENCE_TOKEN', 0, 0, NULL, NULL),		
	('MAGIL_APADANA_INFLUENCE_PER_TURN', 'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 0, 0, NULL, NULL),			
	--Halicarnassus
	('MAGIL_HALICARNASSUS_MAUSOLEUM_GA_POINTS_ON_KILL', 'MODIFIER_PLAYER_UNIT_ADJUST_GREAT_PEOPLE_POINTS_PER_KILL', 0, 0, NULL, NULL),			
	('MAGIL_HALICARNASSUS_MAUSOLEUM_ATTACH_ABILITY', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', 0, 1, NULL, NULL),				
	--Angkor Wat
	('MAGIL_ANGKOR_WAT_LUXURY_EXTRA_AMENITIES', 'MODIFIER_PLAYER_OWNED_LUXURY_EXTRA_AMENITIES', 0, 0, NULL, NULL),			
	--Jebel Barkal
	('MAGIL_JEBEL_BARKAL_ATTACH_MODIFIER', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL),			
	('MAGIL_JEBEL_BARKAL_FAITH_FROM_UNITS', 'MODIFIER_SINGLE_CITY_GRANT_YIELD_PER_UNIT_COST', 1, 1, NULL, NULL);

--Pyramids
UPDATE ModifierArguments SET Value='2' WHERE ModifierId='PYRAMID_GRANT_BUILDERS' AND Value='1';
	
INSERT INTO ModifierArguments
	(ModifierId, Name, Value, Extra, SecondExtra)
VALUES	
	--Stonehenge
	('MAGIL_STONEHENGE_FREE_MONUMENT', 'Amount', '1', NULL, NULL),

	('MAGIL_STONEHENGE_CITYCENTER_FAITH', 'YieldType', 'YIELD_FAITH', NULL, NULL),
	('MAGIL_STONEHENGE_CITYCENTER_FAITH', 'Amount', '1', NULL, NULL),	
	
	--Hanging Gardens
	('MAGIL_HANGING_GARDENS_FRESHWATER_BONUS', 'HasBonus', 1, NULL, NULL),
	
	--Great Lighthouse
	('MAGIL_GREAT_LIGHTHOUSE_OCEAN_NAVIGATION', 'TerrainType', 'TERRAIN_OCEAN', NULL, NULL),
	('MAGIL_GREAT_LIGHTHOUSE_OCEAN_NAVIGATION', 'Valid', 1, NULL, NULL),
	
	('MAGIL_GREAT_LIGHTHOUSE_ATTACH_ABILITY', 'AbilityType', 'MAGIL_ABILITY_GREATLIGHTHOUSE_SIGHT', NULL, NULL),

	('MAGIL_GREAT_LIGHTHOUSE_HARBOR_PRODUCTION', 'DistrictType', 'DISTRICT_HARBOR', NULL, NULL),
	('MAGIL_GREAT_LIGHTHOUSE_HARBOR_PRODUCTION', 'Amount', '30', NULL, NULL),
	
	('MAGIL_GREAT_LIGHTHOUSE_LIGHTHOUSE_PRODUCTION', 'BuildingType', 'BUILDING_LIGHTHOUSE', NULL, NULL),
	('MAGIL_GREAT_LIGHTHOUSE_LIGHTHOUSE_PRODUCTION', 'Amount', '30', NULL, NULL),
	
	('MAGIL_GREAT_LIGHTHOUSE_SHIPYARD_PRODUCTION', 'BuildingType', 'BUILDING_SHIPYARD', NULL, NULL),
	('MAGIL_GREAT_LIGHTHOUSE_SHIPYARD_PRODUCTION', 'Amount', '30', NULL, NULL),
	
	('MAGIL_GREAT_LIGHTHOUSE_SEAPORT_PRODUCTION', 'BuildingType', 'BUILDING_SEAPORT', NULL, NULL),
	('MAGIL_GREAT_LIGHTHOUSE_SEAPORT_PRODUCTION', 'Amount', '30', NULL, NULL),
	
	--Colossus
	('MAGIL_COLOSSUS_TRADEROUTE_YIELD', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_COLOSSUS_TRADEROUTE_YIELD', 'Amount', '2', NULL, NULL),
	
	('MAGIL_COLOSSUS_TRADEROUTE_INTERCONTINENTAL_OTHERS_YIELD', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_COLOSSUS_TRADEROUTE_INTERCONTINENTAL_OTHERS_YIELD', 'Amount', '2', NULL, NULL),
	('MAGIL_COLOSSUS_TRADEROUTE_INTERCONTINENTAL_OTHERS_YIELD', 'Intercontinental', 1, NULL, NULL),
	
	('MAGIL_COLOSSUS_TRADEROUTE_INTERCONTINENTAL_DOMESTIC_YIELD', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_COLOSSUS_TRADEROUTE_INTERCONTINENTAL_DOMESTIC_YIELD', 'Amount', '2', NULL, NULL),
	('MAGIL_COLOSSUS_TRADEROUTE_INTERCONTINENTAL_DOMESTIC_YIELD', 'Intercontinental', 1, NULL, NULL),
	--Great Library
	('MAGIL_GREAT_LIBRARY_GREATWORK_BUFF', 'ModifierId', 'MAGIL_GREAT_LIBRARY_GREATWORK_BUFF_MODIFIER', NULL, NULL),			
	('MAGIL_GREAT_LIBRARY_GREATWORK_BUFF_MODIFIER', 'GreatWorkObjectType', 'GREATWORKOBJECT_WRITING', NULL, NULL),
	('MAGIL_GREAT_LIBRARY_GREATWORK_BUFF_MODIFIER', 'YieldType', 'YIELD_SCIENCE', NULL, NULL),
	('MAGIL_GREAT_LIBRARY_GREATWORK_BUFF_MODIFIER', 'Amount', '2', NULL, NULL),
	
	('MAGIL_GREAT_LIBRARY_FREE_WRITER', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER', NULL, NULL),
	('MAGIL_GREAT_LIBRARY_FREE_WRITER', 'Amount', '1', NULL, NULL),
	
	('MAGIL_GREAT_LIBRARYGWPOINTS', 'ModifierId', 'MAGIL_GREAT_LIBRARYGWPOINTS_MODIFIER', NULL, NULL),
	
	('MAGIL_GREAT_LIBRARYGWPOINTS_MODIFIER', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER', NULL, NULL),
	('MAGIL_GREAT_LIBRARYGWPOINTS_MODIFIER', 'Amount', '1', NULL, NULL),
	
	--Mahabodhi Temple
	('MAGIL_MAHABODHI_TEMPLE_WOODS_FAITH', 'ModifierId', 'MAGIL_MAHABODHI_TEMPLE_WOODS_FAITH_MODIFIER', NULL, NULL),
	('MAGIL_MAHABODHI_TEMPLE_WOODS_FOOD', 'ModifierId', 'MAGIL_MAHABODHI_TEMPLE_WOODS_FOOD_MODIFIER', NULL, NULL),
	
	('MAGIL_MAHABODHI_TEMPLE_WOODS_FAITH_MODIFIER', 'YieldType', 'YIELD_FAITH', NULL, NULL),
	('MAGIL_MAHABODHI_TEMPLE_WOODS_FAITH_MODIFIER', 'Amount', '2', NULL, NULL),

	('MAGIL_MAHABODHI_TEMPLE_WOODS_FOOD_MODIFIER', 'YieldType', 'YIELD_FOOD', NULL, NULL),
	('MAGIL_MAHABODHI_TEMPLE_WOODS_FOOD_MODIFIER', 'Amount', '1', NULL, NULL),
	
	('MAGIL_MAHABODHI_TEMPLE_HOLYSITE_WITH_SHRINE_PRODUCTION', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_MAHABODHI_TEMPLE_HOLYSITE_WITH_SHRINE_PRODUCTION', 'Amount', '2', NULL, NULL),	

	('MAGIL_MAHABODHI_TEMPLE_HOLYSITE_WITH_TEMPLE_PRODUCTION', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_MAHABODHI_TEMPLE_HOLYSITE_WITH_TEMPLE_PRODUCTION', 'Amount', '2', NULL, NULL),
	
	('MAGIL_MAHABODHI_TEMPLE_HOLYSITE_WITH_WORSHIP_PRODUCTION', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_MAHABODHI_TEMPLE_HOLYSITE_WITH_WORSHIP_PRODUCTION', 'Amount', '2', NULL, NULL),
	
	--Terracotta Army
	('MAGIL_TERRACOTTA_ARMY_EXTRA_RECON_UNIT', 'Tag', 'CLASS_RECON', NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_RECON_UNIT', 'Amount', '1', NULL, NULL),	

	('MAGIL_TERRACOTTA_ARMY_EXTRA_MELEE_UNIT', 'Tag', 'CLASS_MELEE', NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_MELEE_UNIT', 'Amount', '1', NULL, NULL),
	
	('MAGIL_TERRACOTTA_ARMY_EXTRA_RANGED_UNIT', 'Tag', 'CLASS_RANGED', NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_RANGED_UNIT', 'Amount', '1', NULL, NULL),
	
	('MAGIL_TERRACOTTA_ARMY_EXTRA_SIEGE_UNIT', 'Tag', 'CLASS_SIEGE', NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_SIEGE_UNIT', 'Amount', '1', NULL, NULL),
	
	('MAGIL_TERRACOTTA_ARMY_EXTRA_HEAVY_CAVALRY_UNIT', 'Tag', 'CLASS_HEAVY_CAVALRY', NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_HEAVY_CAVALRY_UNIT', 'Amount', '1', NULL, NULL),
	
	('MAGIL_TERRACOTTA_ARMY_EXTRA_LIGHT_CAVALRY_UNIT', 'Tag', 'CLASS_LIGHT_CAVALRY', NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_LIGHT_CAVALRY_UNIT', 'Amount', '1', NULL, NULL),
	
	('MAGIL_TERRACOTTA_ARMY_EXTRA_RANGED_CAVALRY_UNIT', 'Tag', 'CLASS_RANGED_CAVALRY', NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_RANGED_CAVALRY_UNIT', 'Amount', '1', NULL, NULL),
	
	('MAGIL_TERRACOTTA_ARMY_EXTRA_ANTI_CAVALRY_UNIT', 'Tag', 'CLASS_ANTI_CAVALRY', NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_ANTI_CAVALRY_UNIT', 'Amount', '1', NULL, NULL),
	
	('MAGIL_TERRACOTTA_ARMY_EXTRA_HEAVY_CHARIOT_UNIT', 'Tag', 'CLASS_HEAVY_CHARIOT', NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_HEAVY_CHARIOT_UNIT', 'Amount', '1', NULL, NULL),
	
	('MAGIL_TERRACOTTA_ARMY_EXTRA_LIGHT_CHARIOT_UNIT', 'Tag', 'CLASS_LIGHT_CHARIOT', NULL, NULL),
	('MAGIL_TERRACOTTA_ARMY_EXTRA_LIGHT_CHARIOT_UNIT', 'Amount', '1', NULL, NULL),
	
	--Hagia Sophia
	('MAGIL_HAGIA_SOPHIA_FAITH_BONUS', 'YieldType', 'YIELD_FAITH', NULL, NULL),
	('MAGIL_HAGIA_SOPHIA_FAITH_BONUS', 'Amount', '20', NULL, NULL),
	
	('MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_SHRINE_SCIENCE', 'YieldType', 'YIELD_SCIENCE', NULL, NULL),
	('MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_SHRINE_SCIENCE', 'Amount', '2', NULL, NULL),	

	('MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_TEMPLE_SCIENCE', 'YieldType', 'YIELD_SCIENCE', NULL, NULL),
	('MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_TEMPLE_SCIENCE', 'Amount', '2', NULL, NULL),
	
	('MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_WORSHIP_SCIENCE', 'YieldType', 'YIELD_SCIENCE', NULL, NULL),
	('MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_WORSHIP_SCIENCE', 'Amount', '2', NULL, NULL),
	
	--Alhambra
	('MAGIL_ALHAMBRA_GG_POINTS_ON_KILL', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_GENERAL', NULL, NULL),
	('MAGIL_ALHAMBRA_GG_POINTS_ON_KILL', 'Amount', '3', NULL, NULL),
	
	('MAGIL_ALHAMBRA_ATTACH_ABILITY', 'AbilityType', 'MAGIL_ABILITY_GG_POINT_ON_KILL', NULL, NULL),	
	
	--Chichen Itza
	('MAGIL_CHICHEN_ITZA_FAITH_BOOST', 'YieldToGrant', 'YIELD_FAITH', NULL, NULL),
	('MAGIL_CHICHEN_ITZA_FAITH_BOOST', 'YieldToBaseOn', 'YIELD_CULTURE', NULL, NULL),
	('MAGIL_CHICHEN_ITZA_FAITH_BOOST', 'Multiplier', '10', NULL, NULL),
	
	--Mont St. Michel
	('MAGIL_MONT_ST_MICHEL_ATTACH_ABILITY', 'AbilityType', 'MAGIL_MONT_ST_MICHEL_BONUS', NULL, NULL),
	('MAGIL_MONT_ST_MICHEL_BONUS_MODIFIER', 'Amount', '5', NULL, NULL),	
	
	('MAGIL_MONT_ST_MICHEL_HOLYSITE_WITH_SHRINE_CULTURE', 'YieldType', 'YIELD_CULTURE', NULL, NULL),
	('MAGIL_MONT_ST_MICHEL_HOLYSITE_WITH_SHRINE_CULTURE', 'Amount', '1', NULL, NULL),	

	('MAGIL_MONT_ST_MICHEL_HOLYSITE_WITH_TEMPLE_CULTURE', 'YieldType', 'YIELD_CULTURE', NULL, NULL),
	('MAGIL_MONT_ST_MICHEL_HOLYSITE_WITH_TEMPLE_CULTURE', 'Amount', '1', NULL, NULL),
	
	('MAGIL_MONT_ST_MICHEL_HOLYSITE_WITH_WORSHIP_CULTURE', 'YieldType', 'YIELD_CULTURE', NULL, NULL),
	('MAGIL_MONT_ST_MICHEL_HOLYSITE_WITH_WORSHIP_CULTURE', 'Amount', '1', NULL, NULL),	
	
	--Potala Palace
	('MAGIL_POTALA_PALACE_HOLYSITE_WITH_SHRINE_FAITH', 'YieldType', 'YIELD_FAITH', NULL, NULL),
	('MAGIL_POTALA_PALACE_HOLYSITE_WITH_SHRINE_FAITH', 'Amount', '2', NULL, NULL),	

	('MAGIL_POTALA_PALACE_HOLYSITE_WITH_TEMPLE_FAITH', 'YieldType', 'YIELD_FAITH', NULL, NULL),
	('MAGIL_POTALA_PALACE_HOLYSITE_WITH_TEMPLE_FAITH', 'Amount', '2', NULL, NULL),
	
	('MAGIL_POTALA_PALACE_HOLYSITE_WITH_WORSHIP_FAITH', 'YieldType', 'YIELD_FAITH', NULL, NULL),
	('MAGIL_POTALA_PALACE_HOLYSITE_WITH_WORSHIP_FAITH', 'Amount', '2', NULL, NULL),	
	
	--Venetian Arsenal
	('MAGIL_VENETIAN_ARSENAL_COASTAL_PRODUCTION', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_VENETIAN_ARSENAL_COASTAL_PRODUCTION', 'Amount', '1', NULL, NULL),	
	
	('MAGIL_VENETIAN_ARSENAL_PRODUCTION_BONUS', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_VENETIAN_ARSENAL_PRODUCTION_BONUS', 'Amount', '20', NULL, NULL),	
	
	('MAGIL_VENETIAN_ARSENAL_EXTRA_NAVALMELEE', 'Tag', 'CLASS_NAVAL_MELEE', NULL, NULL),
	('MAGIL_VENETIAN_ARSENAL_EXTRA_NAVALMELEE', 'Amount', '1', NULL, NULL),
	
	('MAGIL_VENETIAN_ARSENAL_EXTRA_NAVALRANGED', 'Tag', 'CLASS_NAVAL_RANGED', NULL, NULL),
	('MAGIL_VENETIAN_ARSENAL_EXTRA_NAVALRANGED', 'Amount', '1', NULL, NULL),

	('MAGIL_VENETIAN_ARSENAL_EXTRA_NAVALCARRIER', 'Tag', 'CLASS_NAVAL_CARRIER', NULL, NULL),
	('MAGIL_VENETIAN_ARSENAL_EXTRA_NAVALCARRIER', 'Amount', '1', NULL, NULL),
	
	--Hermitage
	('MAGIL_HERMITAGE_MUSEUM_AUTO_THEME', 'BuildingType', 'BUILDING_MUSEUM_ART', NULL, NULL),	
	
	--Eiffel Tower
	('MAGIL_EIFFEL_TOWER_WONDER_TOURISM', 'Amount', '5', NULL, NULL),	
	
	--Broadway
	('MAGIL_BROADWAY_GREATMERCHANT', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MERCHANT', NULL, NULL),
	('MAGIL_BROADWAY_GREATMERCHANT', 'Amount', '30', NULL, NULL),	

	('MAGIL_BROADWAY_GREATWRITER', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_WRITER', NULL, NULL),
	('MAGIL_BROADWAY_GREATWRITER', 'Amount', '30', NULL, NULL),
	
	('MAGIL_BROADWAY_GREATARTIST', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ARTIST', NULL, NULL),
	('MAGIL_BROADWAY_GREATARTIST', 'Amount', '30', NULL, NULL),

	('MAGIL_BROADWAY_GREATMUSICIAN', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_MUSICIAN', NULL, NULL),
	('MAGIL_BROADWAY_GREATMUSICIAN', 'Amount', '30', NULL, NULL),
	
	--Cristo Redentor
	('MAGIL_CRISTO_REDENTOR_HOLYSITE_TOURISM', 'Amount', '10', NULL, NULL),	
	
	--Sydney Opera House
	('MAGIL_SYDNEY_OPERA_HOUSE_THEATER_TOURISM', 'Amount', '10', NULL, NULL),		
	('MAGIL_SYDNEY_OPERA_INCREASED_TOURISM', 'Amount', '50', NULL, NULL),	
	
	--Ruhr Valley
	('MAGIL_RUHR_VALLEY_MINE_PRODUCTION', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_RUHR_VALLEY_MINE_PRODUCTION', 'Amount', '1', NULL, NULL),	

	('MAGIL_RUHR_VALLEY_QUARRY_PRODUCTION', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_RUHR_VALLEY_QUARRY_PRODUCTION', 'Amount', '1', NULL, NULL),
	
	('MAGIL_RUHR_VALLEY_LUMBERMILL_PRODUCTION', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_RUHR_VALLEY_LUMBERMILL_PRODUCTION', 'Amount', '1', NULL, NULL),	
	
	--Great Zimbabwe
	('MAGIL_GREAT_ZIMBABWE_GOLD_PER_DOMESTIC_POST', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_GREAT_ZIMBABWE_GOLD_PER_DOMESTIC_POST', 'Amount', '1', NULL, NULL),		
	
	('MAGIL_GREAT_ZIMBABWE_GOLD_PER_FOREIGN_POST', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_GREAT_ZIMBABWE_GOLD_PER_FOREIGN_POST', 'Amount', '1', NULL, NULL),	
	
	--Estadio do Maracana
	('MAGIL_ESTADIO_DO_MARACANA_DISTRICTPROJECT_BONUS', 'Amount', '20', NULL, NULL),	
	
--DLC WONDERS
	--Huey Teocali
	('MAGIL_HUEY_HOLYSITE', 'DistrictType', 'DISTRICT_HOLY_SITE', NULL, NULL),
	('MAGIL_HUEY_HOLYSITE', 'TerrainType', 'TERRAIN_COAST', NULL, NULL),	
	('MAGIL_HUEY_HOLYSITE', 'YieldType', 'YIELD_FAITH', NULL, NULL),
	('MAGIL_HUEY_HOLYSITE', 'Amount', '1', NULL, NULL),	
	('MAGIL_HUEY_HOLYSITE', 'TilesRequired', '2', NULL, NULL),
	('MAGIL_HUEY_HOLYSITE', 'Description', 'LOC_DISTRICT_MAGILHUEY_FAITH', NULL, NULL),	

	('MAGIL_HUEY_CAMPUS', 'DistrictType', 'YIELD_SCIENCE', NULL, NULL),
	('MAGIL_HUEY_CAMPUS', 'TerrainType', 'TERRAIN_COAST', NULL, NULL),	
	('MAGIL_HUEY_CAMPUS', 'YieldType', 'YIELD_SCIENCE', NULL, NULL),
	('MAGIL_HUEY_CAMPUS', 'Amount', '1', NULL, NULL),	
	('MAGIL_HUEY_CAMPUS', 'TilesRequired', '2', NULL, NULL),
	('MAGIL_HUEY_CAMPUS', 'Description', 'LOC_DISTRICT_MAGILHUEY_SCIENCE', NULL, NULL),

	('MAGIL_HUEY_INDUSTRIALZONE', 'DistrictType', 'DISTRICT_INDUSTRIAL_ZONE', NULL, NULL),
	('MAGIL_HUEY_INDUSTRIALZONE', 'TerrainType', 'TERRAIN_COAST', NULL, NULL),	
	('MAGIL_HUEY_INDUSTRIALZONE', 'YieldType', 'YIELD_PRODUCTION', NULL, NULL),
	('MAGIL_HUEY_INDUSTRIALZONE', 'Amount', '1', NULL, NULL),	
	('MAGIL_HUEY_INDUSTRIALZONE', 'TilesRequired', '2', NULL, NULL),
	('MAGIL_HUEY_INDUSTRIALZONE', 'Description', 'LOC_DISTRICT_MAGILHUEY_PRODUCTION', NULL, NULL),

	('MAGIL_HUEY_THEATER', 'DistrictType', 'DISTRICT_THEATER', NULL, NULL),
	('MAGIL_HUEY_THEATER', 'TerrainType', 'TERRAIN_COAST', NULL, NULL),	
	('MAGIL_HUEY_THEATER', 'YieldType', 'YIELD_CULTURE', NULL, NULL),
	('MAGIL_HUEY_THEATER', 'Amount', '1', NULL, NULL),	
	('MAGIL_HUEY_THEATER', 'TilesRequired', '2', NULL, NULL),
	('MAGIL_HUEY_THEATER', 'Description', 'LOC_DISTRICT_MAGILHUEY_CULTURE', NULL, NULL),

	('MAGIL_HUEY_COMMERCIALHUB', 'DistrictType', 'DISTRICT_COMMERCIAL_HUB', NULL, NULL),
	('MAGIL_HUEY_COMMERCIALHUB', 'TerrainType', 'TERRAIN_COAST', NULL, NULL),	
	('MAGIL_HUEY_COMMERCIALHUB', 'YieldType', 'YIELD_GOLD', NULL, NULL),
	('MAGIL_HUEY_COMMERCIALHUB', 'Amount', '1', NULL, NULL),	
	('MAGIL_HUEY_COMMERCIALHUB', 'TilesRequired', '1', NULL, NULL),
	('MAGIL_HUEY_COMMERCIALHUB', 'Description', 'LOC_DISTRICT_MAGILHUEY_GOLD', NULL, NULL),
	
	--Apadana
	('MAGIL_APADANA_AWARD_WONDER_INFLUENCE_TOKEN', 'ModifierId', 'MAGIL_APADANA_AWARD_WONDER_INFLUENCE_TOKEN_MODIFIER', NULL, NULL),	
	('MAGIL_APADANA_AWARD_WONDER_INFLUENCE_TOKEN_MODIFIER', 'Amount', '1', NULL, NULL),	
	('MAGIL_APADANA_AWARD_EXTRA_INFLUENCE_TOKEN', 'Amount', '1', NULL, NULL),	
	('MAGIL_APADANA_INFLUENCE_PER_TURN', 'Amount', '3', NULL, NULL),
	
	--Halicarnassas
	('MAGIL_HALICARNASSUS_MAUSOLEUM_GA_POINTS_ON_KILL', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ADMIRAL', NULL, NULL),
	('MAGIL_HALICARNASSUS_MAUSOLEUM_GA_POINTS_ON_KILL', 'Amount', '3', NULL, NULL),
	
	('MAGIL_HALICARNASSUS_MAUSOLEUM_ATTACH_ABILITY', 'AbilityType', 'MAGIL_ABILITY_GA_POINT_ON_KILL', NULL, NULL),		
	
	--Angkor Wat
	('MAGIL_ANGKOR_WAT_LUXURY_EXTRA_AMENITIES', 'Amount', '1', NULL, NULL),	
	
	--Jebel Barkal
	('MAGIL_JEBEL_BARKAL_ATTACH_MODIFIER', 'ModifierId', 'MAGIL_JEBEL_BARKAL_FAITH_FROM_UNITS', NULL, NULL),
	
	('MAGIL_JEBEL_BARKAL_FAITH_FROM_UNITS', 'YieldType', 'YIELD_FAITH', NULL, NULL),
	('MAGIL_JEBEL_BARKAL_FAITH_FROM_UNITS', 'UnitProductionPercent', '25', NULL, NULL);

--Attaching Modifiers to Buildings

UPDATE BuildingModifiers SET ModifierId='MAGIL_HANGING_GARDENS_FRESHWATER_BONUS' WHERE BuildingType='BUILDING_HANGING_GARDENS' AND ModifierId='HANGING_GARDEN_ADDGROWTH';
UPDATE BuildingModifiers SET BuildingType='BUILDING_HERMITAGE' WHERE BuildingType='BUILDING_BROADWAY' AND ModifierId='BROADWAY_ADDCULTUREYIELD';

DELETE FROM BuildingModifiers WHERE BuildingType='BUILDING_GREAT_LIBRARY' AND ModifierId='GREAT_LIBRARY_ANCIENT_CLASSICAL_TECH_BOOSTS';
DELETE FROM BuildingModifiers WHERE BuildingType='BUILDING_VENETIAN_ARSENAL';
DELETE FROM BuildingModifiers WHERE BuildingType='BUILDING_GREAT_ZIMBABWE';
DELETE FROM BuildingModifiers WHERE BuildingType='BUILDING_BROADWAY' AND ModifierId='BUILDING_BROADWAY_RANDOMCIVICBOOST';

INSERT INTO BuildingModifiers
	(BuildingType, ModifierId)
VALUES	
	('BUILDING_STONEHENGE', 'MAGIL_STONEHENGE_FREE_MONUMENT'),	
	('BUILDING_STONEHENGE', 'MAGIL_STONEHENGE_CITYCENTER_FAITH'),	
	
	('BUILDING_GREAT_LIGHTHOUSE', 'MAGIL_GREAT_LIGHTHOUSE_OCEAN_NAVIGATION'),	
	('BUILDING_GREAT_LIGHTHOUSE', 'MAGIL_GREAT_LIGHTHOUSE_HARBOR_PRODUCTION'),	
	('BUILDING_GREAT_LIGHTHOUSE', 'MAGIL_GREAT_LIGHTHOUSE_LIGHTHOUSE_PRODUCTION'),	
	('BUILDING_GREAT_LIGHTHOUSE', 'MAGIL_GREAT_LIGHTHOUSE_SHIPYARD_PRODUCTION'),
	('BUILDING_GREAT_LIGHTHOUSE', 'MAGIL_GREAT_LIGHTHOUSE_SEAPORT_PRODUCTION'),	
	('BUILDING_GREAT_LIGHTHOUSE', 'MAGIL_GREAT_LIGHTHOUSE_ATTACH_ABILITY'),
	
	('BUILDING_COLOSSUS', 'MAGIL_COLOSSUS_TRADEROUTE_YIELD'),
	('BUILDING_COLOSSUS', 'MAGIL_COLOSSUS_TRADEROUTE_INTERCONTINENTAL_OTHERS_YIELD'),	
	('BUILDING_COLOSSUS', 'MAGIL_COLOSSUS_TRADEROUTE_INTERCONTINENTAL_DOMESTIC_YIELD'),	
	
	('BUILDING_PETRA', 'TERRACOTTA_ARMY_ARCHAEOLOGIST_OPEN_BORDERS'),	
	
	('BUILDING_GREAT_LIBRARY', 'MAGIL_GREAT_LIBRARY_FREE_WRITER'),
	('BUILDING_GREAT_LIBRARY', 'MAGIL_GREAT_LIBRARY_GREATWORK_BUFF'),	
	('BUILDING_GREAT_LIBRARY', 'MAGIL_GREAT_LIBRARYGWPOINTS'),		
	
	('BUILDING_MAHABODHI_TEMPLE', 'MAGIL_MAHABODHI_TEMPLE_WOODS_FAITH'),	
	('BUILDING_MAHABODHI_TEMPLE', 'MAGIL_MAHABODHI_TEMPLE_WOODS_FOOD'),	
	('BUILDING_MAHABODHI_TEMPLE', 'MAGIL_MAHABODHI_TEMPLE_HOLYSITE_WITH_SHRINE_PRODUCTION'),	
	('BUILDING_MAHABODHI_TEMPLE', 'MAGIL_MAHABODHI_TEMPLE_HOLYSITE_WITH_TEMPLE_PRODUCTION'),
	('BUILDING_MAHABODHI_TEMPLE', 'MAGIL_MAHABODHI_TEMPLE_HOLYSITE_WITH_WORSHIP_PRODUCTION'),		
	
	('BUILDING_TERRACOTTA_ARMY', 'MAGIL_TERRACOTTA_ARMY_EXTRA_RECON_UNIT'),	
	('BUILDING_TERRACOTTA_ARMY', 'MAGIL_TERRACOTTA_ARMY_EXTRA_MELEE_UNIT'),	
	('BUILDING_TERRACOTTA_ARMY', 'MAGIL_TERRACOTTA_ARMY_EXTRA_RANGED_UNIT'),	
	('BUILDING_TERRACOTTA_ARMY', 'MAGIL_TERRACOTTA_ARMY_EXTRA_SIEGE_UNIT'),
	('BUILDING_TERRACOTTA_ARMY', 'MAGIL_TERRACOTTA_ARMY_EXTRA_HEAVY_CAVALRY_UNIT'),	
	('BUILDING_TERRACOTTA_ARMY', 'MAGIL_TERRACOTTA_ARMY_EXTRA_LIGHT_CAVALRY_UNIT'),
	('BUILDING_TERRACOTTA_ARMY', 'MAGIL_TERRACOTTA_ARMY_EXTRA_ANTI_CAVALRY_UNIT'),	
	('BUILDING_TERRACOTTA_ARMY', 'MAGIL_TERRACOTTA_ARMY_EXTRA_RANGED_CAVALRY_UNIT'),	
	('BUILDING_TERRACOTTA_ARMY', 'MAGIL_TERRACOTTA_ARMY_EXTRA_LIGHT_CHARIOT_UNIT'),	

	('BUILDING_HAGIA_SOPHIA', 'MAGIL_HAGIA_SOPHIA_FAITH_BONUS'),	
	('BUILDING_HAGIA_SOPHIA', 'MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_SHRINE_SCIENCE'),	
	('BUILDING_HAGIA_SOPHIA', 'MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_TEMPLE_SCIENCE'),
	('BUILDING_HAGIA_SOPHIA', 'MAGIL_HAGIA_SOPHIA_HOLYSITE_WITH_WORSHIP_SCIENCE'),		
	
	('BUILDING_ALHAMBRA', 'MAGIL_ALHAMBRA_ATTACH_ABILITY'),	
	('BUILDING_CHICHEN_ITZA', 'MAGIL_CHICHEN_ITZA_FAITH_BOOST'),	
	
	('BUILDING_MONT_ST_MICHEL', 'MAGIL_MONT_ST_MICHEL_ATTACH_ABILITY'),	
	('BUILDING_MONT_ST_MICHEL', 'MAGIL_MONT_ST_MICHEL_HOLYSITE_WITH_SHRINE_CULTURE'),	
	('BUILDING_MONT_ST_MICHEL', 'MAGIL_MONT_ST_MICHEL_HOLYSITE_WITH_TEMPLE_CULTURE'),
	('BUILDING_MONT_ST_MICHEL', 'MAGIL_MONT_ST_MICHEL_HOLYSITE_WITH_WORSHIP_CULTURE'),		
	
	('BUILDING_VENETIAN_ARSENAL', 'MAGIL_VENETIAN_ARSENAL_EXTRA_NAVALMELEE'),	
	('BUILDING_VENETIAN_ARSENAL', 'MAGIL_VENETIAN_ARSENAL_EXTRA_NAVALRANGED'),	
	('BUILDING_VENETIAN_ARSENAL', 'MAGIL_VENETIAN_ARSENAL_EXTRA_NAVALCARRIER'),	
	('BUILDING_VENETIAN_ARSENAL', 'MAGIL_VENETIAN_ARSENAL_PRODUCTION_BONUS'),
	('BUILDING_VENETIAN_ARSENAL', 'MAGIL_VENETIAN_ARSENAL_COASTAL_PRODUCTION'),		
	
	('BUILDING_GREAT_ZIMBABWE', 'GREAT_ZIMBABWE_ADDTRADEROUTE'),
	('BUILDING_GREAT_ZIMBABWE', 'MAGIL_GREAT_ZIMBABWE_GOLD_PER_DOMESTIC_POST'),	
	('BUILDING_GREAT_ZIMBABWE', 'MAGIL_GREAT_ZIMBABWE_GOLD_PER_FOREIGN_POST'),		
	
	('BUILDING_POTALA_PALACE', 'MAGIL_POTALA_PALACE_HOLYSITE_WITH_SHRINE_FAITH'),
	('BUILDING_POTALA_PALACE', 'MAGIL_POTALA_PALACE_HOLYSITE_WITH_TEMPLE_FAITH'),	
	('BUILDING_POTALA_PALACE', 'MAGIL_POTALA_PALACE_HOLYSITE_WITH_WORSHIP_FAITH'),			

	('BUILDING_HERMITAGE', 'MAGIL_HERMITAGE_MUSEUM_AUTO_THEME'),			
	('BUILDING_EIFFEL_TOWER', 'MAGIL_EIFFEL_TOWER_WONDER_TOURISM'),
	('BUILDING_CRISTO_REDENTOR', 'MAGIL_CRISTO_REDENTOR_HOLYSITE_TOURISM'),
	('BUILDING_ESTADIO_DO_MARACANA', 'MAGIL_ESTADIO_DO_MARACANA_DISTRICTPROJECT_BONUS'),
	
	('BUILDING_BROADWAY', 'MAGIL_BROADWAY_GREATMERCHANT'),	
	('BUILDING_BROADWAY', 'MAGIL_BROADWAY_GREATWRITER'),	
	('BUILDING_BROADWAY', 'MAGIL_BROADWAY_GREATARTIST'),
	('BUILDING_BROADWAY', 'MAGIL_BROADWAY_GREATMUSICIAN'),	
	
	('BUILDING_RUHR_VALLEY', 'MAGIL_RUHR_VALLEY_MINE_PRODUCTION'),	
	('BUILDING_RUHR_VALLEY', 'MAGIL_RUHR_VALLEY_QUARRY_PRODUCTION'),	
	('BUILDING_RUHR_VALLEY', 'MAGIL_RUHR_VALLEY_LUMBERMILL_PRODUCTION'),
	
	('BUILDING_SYDNEY_OPERA_HOUSE', 'MAGIL_SYDNEY_OPERA_HOUSE_THEATER_TOURISM'),
	('BUILDING_SYDNEY_OPERA_HOUSE', 'MAGIL_SYDNEY_OPERA_INCREASED_TOURISM');	
	
--Setting up Requirements	
INSERT INTO Requirements
	(RequirementId,	RequirementType,	Inverse)
VALUES	
	('MAGIL_PLOT_HAS_WOODS', 'REQUIREMENT_PLOT_FEATURE_TYPE_MATCHES', 0),	
	('MAGIL_REQUIRES_LIBRARY', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_CITY_HAS_MAHABODHI_TEMPLE', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_PLOT_HAS_LUMBERMILL', 'REQUIREMENT_PLOT_IMPROVEMENT_TYPE_MATCHES', 0),		
	('MAGIL_REQUIRES_CITY_HAS_TEMPLE', 'REQUIREMENT_REQUIREMENTSET_IS_MET', 0),	
	('MAGIL_REQUIRES_CITY_HAS_WORSHIP', 'REQUIREMENT_REQUIREMENTSET_IS_MET', 0),	
	('MAGIL_REQUIRES_CITY_HAS_CATHEDRAL', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_GURDWARA', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_MEETINGHOUSE', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_MOSQUE', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_PAGODA', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_SYNAGOGUE', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_WAT', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_STUPA', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_DAREMEHR', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_MONUMENT', 'REQUIREMENT_CITY_HAS_BUILDING', 0),
	('MAGIL_CITY_HAS_VENETIAN_ARSENAL', 'REQUIREMENT_CITY_HAS_BUILDING', 0),
	('MAGIL_PLOT_HAS_INDUSTRIAL_ZONE', 'REQUIREMENT_PLOT_DISTRICT_TYPE_MATCHES', 0),
	('MAGIL_PLOT_HAS_CITY_CENTER', 'REQUIREMENT_PLOT_DISTRICT_TYPE_MATCHES', 0),
	('MAGIL_REQUIRES_CITY_HAS_BROADCAST_TOWER', 'REQUIREMENT_CITY_HAS_BUILDING', 0),	
	('MAGIL_REQUIRES_CITY_HAS_FILM_STUDIO', 'REQUIREMENT_CITY_HAS_BUILDING', 0),
	('MAGIL_REQUIRES_CITY_HAS_BROADCAST_OR_STUDIO_REQUIREMENTSET', 'REQUIREMENT_REQUIREMENTSET_IS_MET', 0);
	
INSERT INTO RequirementArguments
	(RequirementId,	Name,	Value,	Extra,	SecondExtra)
VALUES	
	('MAGIL_PLOT_HAS_WOODS', 'FeatureType', 'FEATURE_FOREST', NULL, NULL),		
	('MAGIL_REQUIRES_LIBRARY', 'BuildingType', 'BUILDING_LIBRARY', NULL, NULL),		
	('MAGIL_CITY_HAS_MAHABODHI_TEMPLE', 'BuildingType', 'BUILDING_MAHABODHI_TEMPLE', NULL, NULL),		
	('MAGIL_REQUIRES_PLOT_HAS_LUMBERMILL', 'ImprovementType', 'IMPROVEMENT_LUMBER_MILL', NULL, NULL),			
	('MAGIL_PLOT_HAS_INDUSTRIAL_ZONE', 'DistrictType', 'DISTRICT_INDUSTRIAL_ZONE', NULL, NULL),		
	('MAGIL_PLOT_HAS_CITY_CENTER', 'DistrictType', 'DISTRICT_CITY_CENTER', NULL, NULL),			
	('MAGIL_REQUIRES_CITY_HAS_TEMPLE', 'RequirementSetId', 'MAGIL_CITY_HAS_TEMPLE_REQUIREMENTSET', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_WORSHIP', 'RequirementSetId', 'MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_CATHEDRAL', 'BuildingType', 'BUILDING_CATHEDRAL', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_GURDWARA', 'BuildingType', 'BUILDING_GURDWARA', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_MEETINGHOUSE', 'BuildingType', 'BUILDING_MEETING_HOUSE', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_MOSQUE', 'BuildingType', 'BUILDING_MOSQUE', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_PAGODA', 'BuildingType', 'BUILDING_PAGODA', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_SYNAGOGUE', 'BuildingType', 'BUILDING_SYNAGOGUE', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_WAT', 'BuildingType', 'BUILDING_WAT', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_STUPA', 'BuildingType', 'BUILDING_STUPA', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_DAREMEHR', 'BuildingType', 'BUILDING_DAR_E_MEHR', NULL, NULL),
	('MAGIL_CITY_HAS_VENETIAN_ARSENAL', 'BuildingType', 'BUILDING_VENETIAN_ARSENAL', NULL, NULL),	
	('MAGIL_REQUIRES_CITY_HAS_MONUMENT', 'BuildingType', 'BUILDING_MONUMENT', NULL, NULL),
	('MAGIL_REQUIRES_CITY_HAS_BROADCAST_TOWER', 'BuildingType', 'BUILDING_BROADCAST_CENTER', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_FILM_STUDIO', 'BuildingType', 'BUILDING_FILM_STUDIO', NULL, NULL),		
	('MAGIL_REQUIRES_CITY_HAS_BROADCAST_OR_STUDIO_REQUIREMENTSET', 'RequirementSetId', 'MAGIL_CITY_HAS_BROADCAST_TOWER_REQUIREMENTS', NULL, NULL);

--Setting up Requirement sets

INSERT INTO RequirementSets
	(RequirementSetId,	RequirementSetType)
VALUES	
	('MAGIL_CITY_HAS_MAHABODHI_TEMPLE_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_PLOT_HAS_WOODS_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_REQUIRES_LIBRARY_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_PLOT_HAS_RIVER_MINE_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_PLOT_HAS_RIVER_QUARRY_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_PLOT_HAS_RIVER_LUMBERMILL_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_REQUIRES_INDUSTRIAL_ZONE_ON_RIVER', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_CITY_HAS_VENETIAN_ARSENAL_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_PLOT_IS_TERRAIN_COAST_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_SHRINE', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_TEMPLE', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_CITY_HAS_TEMPLE_REQUIREMENTSET', 'REQUIREMENTSET_TEST_ANY'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_WORSHIP', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET', 'REQUIREMENTSET_TEST_ANY'),	
	('MAGIL_DISTRICT_IS_CITYCENTER_WITH_MONUMENT', 'REQUIREMENTSET_TEST_ALL'),	
	('MAGIL_DISTRICT_IS_WONDER_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),
	('MAGIL_CITY_HAS_BROADCAST_TOWER_REQUIREMENTS', 'REQUIREMENTSET_TEST_ANY'),	
	('MAGIL_DISTRICT_IS_THEATER_WITH_BROADCAST_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL');
	
INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	
	('MAGIL_CITY_HAS_MAHABODHI_TEMPLE_REQUIREMENTS', 'MAGIL_CITY_HAS_MAHABODHI_TEMPLE'),	
	('MAGIL_PLOT_HAS_WOODS_REQUIREMENTS', 'MAGIL_PLOT_HAS_WOODS'),	
	('MAGIL_REQUIRES_LIBRARY_REQUIREMENTS', 'MAGIL_REQUIRES_LIBRARY'),	
	('MAGIL_PLOT_HAS_RIVER_MINE_REQUIREMENTS', 'REQUIRES_PLOT_ADJACENT_TO_RIVER'),	
	('MAGIL_PLOT_HAS_RIVER_MINE_REQUIREMENTS', 'REQUIRES_PLOT_HAS_MINE'),	
	('MAGIL_PLOT_HAS_RIVER_QUARRY_REQUIREMENTS', 'REQUIRES_PLOT_ADJACENT_TO_RIVER'),	
	('MAGIL_PLOT_HAS_RIVER_QUARRY_REQUIREMENTS', 'REQUIRES_PLOT_HAS_QUARRY'),	
	('MAGIL_PLOT_HAS_RIVER_LUMBERMILL_REQUIREMENTS', 'REQUIRES_PLOT_ADJACENT_TO_RIVER'),	
	('MAGIL_PLOT_HAS_RIVER_LUMBERMILL_REQUIREMENTS', 'MAGIL_REQUIRES_PLOT_HAS_LUMBERMILL'),	
	('MAGIL_REQUIRES_INDUSTRIAL_ZONE_ON_RIVER', 'MAGIL_PLOT_HAS_INDUSTRIAL_ZONE'),	
	('MAGIL_REQUIRES_INDUSTRIAL_ZONE_ON_RIVER', 'REQUIRES_PLOT_ADJACENT_TO_RIVER'),	
	('MAGIL_CITY_HAS_VENETIAN_ARSENAL_REQUIREMENTS', 'MAGIL_CITY_HAS_VENETIAN_ARSENAL'),	
	('MAGIL_PLOT_IS_TERRAIN_COAST_REQUIREMENTS', 'REQUIRES_PLOT_IS_COAST'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_SHRINE', 'REQUIRES_DISTRICT_IS_HOLY_SITE'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_SHRINE', 'REQUIRES_CITY_HAS_SHRINE'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_TEMPLE', 'REQUIRES_DISTRICT_IS_HOLY_SITE'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_TEMPLE', 'MAGIL_REQUIRES_CITY_HAS_TEMPLE'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_WORSHIP', 'REQUIRES_DISTRICT_IS_HOLY_SITE'),	
	('MAGIL_DISTRICT_IS_HOLY_SITE_WITH_WORSHIP', 'MAGIL_REQUIRES_CITY_HAS_WORSHIP'),	
	('MAGIL_CITY_HAS_TEMPLE_REQUIREMENTSET', 'REQUIRES_CITY_HAS_TEMPLE'),	
	('MAGIL_CITY_HAS_TEMPLE_REQUIREMENTSET', 'REQUIRES_CITY_HAS_STAVE'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET', 'MAGIL_REQUIRES_CITY_HAS_CATHEDRAL'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET', 'MAGIL_REQUIRES_CITY_HAS_GURDWARA'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET', 'MAGIL_REQUIRES_CITY_HAS_MEETINGHOUSE'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET', 'MAGIL_REQUIRES_CITY_HAS_MOSQUE'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET', 'MAGIL_REQUIRES_CITY_HAS_PAGODA'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET', 'MAGIL_REQUIRES_CITY_HAS_SYNAGOGUE'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET', 'MAGIL_REQUIRES_CITY_HAS_WAT'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET', 'MAGIL_REQUIRES_CITY_HAS_DAREMEHR'),	
	('MAGIL_CITY_HAS_WORSHIP_REQUIREMENTSET', 'MAGIL_REQUIRES_CITY_HAS_STUPA'),	
	('MAGIL_DISTRICT_IS_CITYCENTER_WITH_MONUMENT', 'MAGIL_PLOT_HAS_CITY_CENTER'),	
	('MAGIL_DISTRICT_IS_CITYCENTER_WITH_MONUMENT', 'MAGIL_REQUIRES_CITY_HAS_MONUMENT'),	
	('MAGIL_DISTRICT_IS_WONDER_REQUIREMENTS', 'REQUIRES_DISTRICT_IS_WORLD_WONDER'),
	('MAGIL_CITY_HAS_BROADCAST_TOWER_REQUIREMENTS', 'MAGIL_REQUIRES_CITY_HAS_BROADCAST_TOWER'),	
	('MAGIL_CITY_HAS_BROADCAST_TOWER_REQUIREMENTS', 'MAGIL_REQUIRES_CITY_HAS_FILM_STUDIO'),
	('MAGIL_DISTRICT_IS_THEATER_WITH_BROADCAST_REQUIREMENTS', 'REQUIRES_DISTRICT_IS_THEATER'),
	('MAGIL_DISTRICT_IS_THEATER_WITH_BROADCAST_REQUIREMENTS', 'MAGIL_REQUIRES_CITY_HAS_BROADCAST_OR_STUDIO_REQUIREMENTSET');
	
--UNIT ABILITIES
--Types, used to declare new additions to the game
INSERT INTO Types
	(Type,	Kind)
VALUES	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'KIND_ABILITY'),	
	('MAGIL_MONT_ST_MICHEL_BONUS', 'KIND_ABILITY'),	
	('MAGIL_ABILITY_GA_POINT_ON_KILL', 'KIND_ABILITY'),	
	('MAGIL_ABILITY_GREATLIGHTHOUSE_SIGHT', 'KIND_ABILITY'),	

	('MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 'KIND_MODIFIER');

--TypeTags controls which kinds of units can possibly have the ability. Note that even if you grant the ability to all units, it will only affect those defined here (useful). 
INSERT INTO TypeTags
	(Type,	Tag)
VALUES	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'CLASS_RECON'),	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'CLASS_MELEE'),	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'CLASS_RANGED'),	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'CLASS_SIEGE'),	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'CLASS_HEAVY_CAVALRY'),	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'CLASS_LIGHT_CAVALRY'),	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'CLASS_RANGED_CAVALRY'),	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'CLASS_ANTI_CAVALRY'),	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'CLASS_HEAVY_CHARIOT'),	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'CLASS_LIGHT_CHARIOT'),	
	('MAGIL_ABILITY_GA_POINT_ON_KILL', 'CLASS_NAVAL_MELEE'),	
	('MAGIL_ABILITY_GA_POINT_ON_KILL', 'CLASS_NAVAL_RANGED'),	
	('MAGIL_ABILITY_GA_POINT_ON_KILL', 'CLASS_NAVAL_RAIDER'),	
	('MAGIL_ABILITY_GA_POINT_ON_KILL', 'CLASS_NAVAL_CARRIER'),	
	('MAGIL_ABILITY_GREATLIGHTHOUSE_SIGHT', 'CLASS_NAVAL_MELEE'),	
	('MAGIL_ABILITY_GREATLIGHTHOUSE_SIGHT', 'CLASS_NAVAL_RANGED'),	
	('MAGIL_ABILITY_GREATLIGHTHOUSE_SIGHT', 'CLASS_NAVAL_RAIDER'),	
	('MAGIL_ABILITY_GREATLIGHTHOUSE_SIGHT', 'CLASS_NAVAL_CARRIER'),	
	('MAGIL_MONT_ST_MICHEL_BONUS', 'CLASS_RELIGIOUS'),	
	('MAGIL_MONT_ST_MICHEL_BONUS', 'CLASS_INQUISITOR');
	
/* Used to control float text and whether or not the abiltiy starts active, as far as I can tell. 
By setting Inactive=true, we can make certain that it only applies when the associated modifier fires. When Inactive=false, every unit of the proper class will have the ability	*/
INSERT INTO UnitAbilities
	(UnitAbilityType,	Name,	Description,	Inactive,	ShowFloatTextWhenEarned)
VALUES	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'LOC_MAGIL_ABILITY_GGPOINTSONKILL_NAME', 'LOC_MAGIL_ABILITY_GGPOINTSONKILL_DESCRIPTION', 1, 0 ),		
	('MAGIL_ABILITY_GA_POINT_ON_KILL', 'LOC_MAGIL_ABILITY_GAPOINTSONKILL_NAME', 'LOC_MAGIL_ABILITY_GAPOINTSONKILL_DESCRIPTION', 1, 0 ),		
	('MAGIL_MONT_ST_MICHEL_BONUS', 'LOC_MAGIL_ABILITY_MONTSTMICHEL_BONUS_NAME', 'LOC_MAGIL_ABILITY_MONTSTMICHEL_BONUS_PREVIEWTEXT', 1, 0 ),		
	('MAGIL_ABILITY_GREATLIGHTHOUSE_SIGHT', 'LOC_MAGIL_ABILITY_GREATLIGHTHOUSE_SIGHT_NAME', 'LOC_MAGIL_ABILITY_GREATLIGHTHOUSE_SIGHT_DESCRIPTION', 1, 0 );
	
--The modifiers actually define what the abilities do. Not sure what the difference between applying an ability to a unit or a modifier to a unit in this case.
INSERT INTO UnitAbilityModifiers
	(UnitAbilityType,	ModifierId)
VALUES	
	('MAGIL_ABILITY_GG_POINT_ON_KILL', 'MAGIL_ALHAMBRA_GG_POINTS_ON_KILL'),		
	('MAGIL_ABILITY_GA_POINT_ON_KILL', 'MAGIL_HALICARNASSUS_MAUSOLEUM_GA_POINTS_ON_KILL'),		
	('MAGIL_MONT_ST_MICHEL_BONUS', 'MAGIL_MONT_ST_MICHEL_BONUS_MODIFIER'),		
	('MAGIL_ABILITY_GREATLIGHTHOUSE_SIGHT', 'SPYGLASS_BONUS_SIGHT');

--Dynamic modifiers, these are brand-new modifiers which have their base effects altered in some way
INSERT INTO DynamicModifiers
	(ModifierType,	CollectionType,	EffectType)
VALUES	
	('MAGIL_MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_UNIT_COPY', 'COLLECTION_OWNER', 'EFFECT_ADJUST_EXTRA_UNIT_COPY_TAG');

--Modifier Strings: This is for Preview Text or Context Text	
INSERT INTO ModifierStrings
	(ModifierId,	Context,	Text)
VALUES	
	('MAGIL_MONT_ST_MICHEL_BONUS_MODIFIER', 'Preview', 'LOC_MAGIL_ABILITY_MONTSTMICHEL_BONUS_PREVIEWTEXT');	
	
--Unit prerequisite stuff, only missionaries for Stonehenge
INSERT INTO Unit_BuildingPrereqs
	(Unit,	PrereqBuilding)
VALUES	
	('UNIT_MISSIONARY', 'BUILDING_STONEHENGE');		